%{!?python_site: %global python_site %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(0)")}
# platform-dependent
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# http://fedoraproject.org/wiki/Packaging:Guidelines#PIE
# http://fedoraproject.org/wiki/Hardened_Packages
%global _hardened_build 1

%if 0%{?fedora} >= 14
    %bcond_without systemd
%else
    %bcond_with systemd
%endif

# systemd wasn't set by the code above - so we're on old Fedora or we're not on Fedora at all
%if %{without systemd}
    %if 0%{?rhel} >= 7
        %bcond_without systemd
    %else
        %bcond_with systemd
    %endif
%endif

# build abrt-atomic subpackage
%bcond_without atomic

%ifarch aarch64
%define have_kexec_tools 0
%else
%define have_kexec_tools 1
%endif

%if 0%{?rhel} >= 6
%define desktopvendor redhat
%else
%define desktopvendor fedora
%endif

# do not append package version to doc directory of subpackages in F20 and later; rhbz#993656
%if "%{_pkgdocdir}" == "%{_docdir}/%{name}"
    %define docdirversion %{nil}
%else
    %define docdirversion -%{version}
%endif

%define libreport_ver 2.6.4-2
%define satyr_ver 0.19

Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 2.8.0
Release: 5%{?dist}
License: GPLv2+
Group: Applications/System
URL: https://abrt.readthedocs.org/
Source: https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz

# git format-patch %%{Version} --topo-order -N -M;
# i=1; for p in `ls 0*.patch`; do printf "Patch%04d: %s\n" $i $p; ((i++)); done
Patch0001: 0001-ccpp-drop-e-from-the-core_pattern.patch
#Patch0002: 0002-translations-update-zanata-configuration.patch
Patch0003: 0003-Translation-updates.patch
Patch0004: 0004-translations-add-missing-new-line.patch
Patch0005: 0005-Fix-minor-typo-possition-position.patch
Patch0006: 0006-a-a-save-package-data-blacklist-usr-lib-64-firefox-p.patch
#Patch0007: 0007-testsuite-add-concurrent-processing-test-for-abrtd.patch
#Patch0008: 0008-CCpp-turn-off-compat-cores.patch - revert
Patch0009: 0009-a-a-install-debuginfo-make-tmpdir-variable-global.patch
Patch0010: 0010-a-a-install-debuginfo-fix-BrokenPipe-error.patch
Patch0011: 0011-Add-basic-documentation.patch
#Patch0012: 0012-spec-README-README.md.patch
#Patch0013: 0013-testsuite-fix-ccpp-plugin-debug-test.patch
#Patch0014: 0014-testsuite-rlAssertRpm-doesn-t-work-with-abrt-addon.patch
#Patch0015: 0015-testsuite-compat-cores-add-include-to-the-loop.c-fil.patch
#Patch0016: 0016-testsuite-changes-due-to-turn-off-compat-cores.patch
#Patch0017: 0017-testsuite-yum-to-dnf.patch
#Patch0018: 0018-testsuite-avoid-unintentional-removal-of-package-man.patch
#Patch0019: 0019-testsuite-tell-the-runner-about-problem-sub-director.patch
#Patch0020: 0020-testsuite-add-a-per-test-timeout-for-15m.patch

# '%%autosetup -S git' -> git
BuildRequires: git

BuildRequires: dbus-devel
BuildRequires: gtk3-devel
BuildRequires: glib2-devel >= 2.43
BuildRequires: rpm-devel >= 4.6
BuildRequires: desktop-file-utils
BuildRequires: libnotify-devel
#why? BuildRequires: file-devel
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: gettext
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: nss-devel
BuildRequires: asciidoc
BuildRequires: doxygen
BuildRequires: xmlto
BuildRequires: libreport-devel >= %{libreport_ver}
BuildRequires: satyr-devel >= %{satyr_ver}
BuildRequires: systemd-python
BuildRequires: python3-systemd
BuildRequires: augeas
BuildRequires: libselinux-devel
BuildRequires: python-argcomplete
BuildRequires: python3-argcomplete
BuildRequires: python-argh
BuildRequires: python3-argh
BuildRequires: python-humanize
BuildRequires: python3-humanize

Requires: libreport >= %{libreport_ver}
Requires: satyr >= %{satyr_ver}

%if %{with systemd}
Requires: systemd-units
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-python3 = %{version}-%{release}
Requires(pre): shadow-utils
Requires: python3-dbus
Requires: python3-dmidecode
Requires: libreport-plugin-ureport >= %{libreport_ver}

%description
%{name} is a tool to help users to detect defects in applications and
to create a bug report with all information needed by maintainer to fix it.
It uses plugin system to extend its functionality.

%package libs
Summary: Libraries for %{name}
Group: System Environment/Libraries

%description libs
Libraries for %{name}.

%package devel
Summary: Development libraries for %{name}
Group: Development/Libraries
Requires: abrt-libs = %{version}-%{release}

%description devel
Development libraries and headers for %{name}.

%package gui-libs
Summary: Libraries for %{name}-gui
Group: System Environment/Libraries

%description gui-libs
Libraries for %{name}-gui.

%package gui-devel
Summary: Development libraries for %{name}-gui
Group: Development/Libraries
Requires: abrt-gui-libs = %{version}-%{release}

%description gui-devel
Development libraries and headers for %{name}-gui.

%package gui
Summary: %{name}'s gui
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: %{name}-dbus = %{version}-%{release}
Requires: gnome-abrt
Requires: gsettings-desktop-schemas >= 3.15
BuildRequires: libreport-gtk-devel >= %{libreport_ver}
BuildRequires: gsettings-desktop-schemas-devel >= 3.15
# we used to have abrt-applet, now abrt-gui includes it:
Provides: abrt-applet = %{version}-%{release}
Obsoletes: abrt-applet < 0.0.5
Conflicts: abrt-applet < 0.0.5
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-gui-libs = %{version}-%{release}

%description gui
GTK+ wizard for convenient bug reporting.

%package addon-coredump-helper
Summary: %{name}'s /proc/sys/kernel/core_pattern helper
Group: System Environment/Libraries
Requires: abrt-libs = %{version}-%{release}

%description addon-coredump-helper
This package contains hook for C/C++ crashed programs.

%package addon-ccpp
Summary: %{name}'s C/C++ addon
Group: System Environment/Libraries
Requires: cpio
%if 0%{?fedora:%{fedora} > 22}
Requires: gdb >= gdb-7.9.50.20150531
%else
Requires: gdb >= 7.9.1-16
%endif
Requires: elfutils
%if 0%{!?rhel:1}
# abrt-action-perform-ccpp-analysis wants to run analyze_RetraceServer:
Requires: %{name}-retrace-client
%endif
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}
Requires: %{name}-addon-coredump-helper = %{version}-%{release}
Requires: libreport-python3

%description addon-ccpp
This package contains %{name}'s C/C++ analyzer plugin.

%package addon-upload-watch
Summary: %{name}'s upload addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}

%description addon-upload-watch
This package contains hook for uploaded problems.

%package retrace-client
Summary: %{name}'s retrace client
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xz
Requires: tar

%description retrace-client
This package contains the client application for Retrace server
which is able to analyze C/C++ crashes remotely.

%package addon-kerneloops
Summary: %{name}'s kerneloops addon
Group: System Environment/Libraries
BuildRequires: systemd-devel
Requires: curl
Requires: %{name} = %{version}-%{release}
%if 0%{!?rhel:1}
Requires: libreport-plugin-kerneloops >= %{libreport_ver}
%endif
Requires: abrt-libs = %{version}-%{release}

%description addon-kerneloops
This package contains plugin for collecting kernel crash information from
system log.

%package addon-xorg
Summary: %{name}'s Xorg addon
Group: System Environment/Libraries
Requires: curl
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}

%description addon-xorg
This package contains plugin for collecting Xorg crash information from Xorg
log.

%if %{?have_kexec_tools} == 1
%package addon-vmcore
Summary: %{name}'s vmcore addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-addon-kerneloops
Requires: kexec-tools
Requires: abrt-python3
Requires: python3-augeas

%description addon-vmcore
This package contains plugin for collecting kernel crash information from
vmcore files.
%endif

%package addon-pstoreoops
Summary: %{name}'s pstore oops addon
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-addon-kerneloops
Obsoletes: abrt-addon-uefioops < 2.1.7

%description addon-pstoreoops
This package contains plugin for collecting kernel oopses from pstore storage.

%package plugin-bodhi
Summary: %{name}'s bodhi plugin
BuildRequires: json-c-devel
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
BuildRequires: libreport-web-devel >= %{libreport_ver}
BuildRequires: hawkey-devel
Obsoletes: libreport-plugin-bodhi > 0.0.1
Provides: libreport-plugin-bodhi

%description plugin-bodhi
Search for a new updates in bodhi server.

%package addon-python
Summary: %{name}'s addon for catching and analyzing Python exceptions
Group: System Environment/Libraries
Requires: python
Requires: %{name} = %{version}-%{release}
Requires: systemd-python
Requires: abrt-python

%description addon-python
This package contains python hook and python analyzer plugin for handling
uncaught exception in python programs.

%package addon-python3
Summary: %{name}'s addon for catching and analyzing Python 3 exceptions
Group: System Environment/Libraries
Requires: python3
Requires: %{name} = %{version}-%{release}
Requires: python3-systemd
Requires: abrt-python3

%description addon-python3
This package contains python 3 hook and python analyzer plugin for handling
uncaught exception in python 3 programs.

%package tui
Summary: %{name}'s command line interface
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: libreport-cli >= %{libreport_ver}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-dbus

%description tui
This package contains a simple command line client for processing abrt reports
in command line environment.

%package cli-ng
Summary: %{name}'s improved command line interface
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: libreport-cli >= %{libreport_ver}
Requires: abrt-libs = %{version}-%{release}
Requires: abrt-dbus
Requires: abrt-python
Requires: abrt-addon-ccpp
Requires: python-argh
Requires: python-argcomplete
Requires: python-humanize

%description cli-ng
New generation command line interface for ABRT

%package cli
Summary: Virtual package to make easy default installation on non-graphical environments
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: abrt-tui
Requires: abrt-addon-kerneloops
Requires: abrt-addon-pstoreoops
%if %{?have_kexec_tools} == 1
Requires: abrt-addon-vmcore
%endif
Requires: abrt-addon-ccpp
Requires: abrt-addon-python3
Requires: abrt-addon-xorg
%if 0%{?rhel}
Requires: libreport-rhel >= %{libreport_ver}
Requires: libreport-plugin-rhtsupport >= %{libreport_ver}
%else
Requires: abrt-retrace-client
Requires: abrt-plugin-bodhi
Requires: libreport-plugin-bugzilla >= %{libreport_ver}
Requires: libreport-plugin-logger >= %{libreport_ver}
Requires: libreport-plugin-ureport >= %{libreport_ver}

Requires: libreport-fedora >= %{libreport_ver}
%endif

%description cli
Virtual package to install all necessary packages for usage from command line
environment.

%package desktop
Summary: Virtual package to make easy default installation on desktop environments
Group: User Interface/Desktops
# This package gets installed when anything requests bug-buddy -
# happens when users upgrade Fn to Fn+1;
# or if user just wants "typical desktop installation".
# Installing abrt-desktop should result in the abrt which works without
# any tweaking in abrt.conf (IOW: all plugins mentioned there must be installed)
Requires: %{name} = %{version}-%{release}
Requires: abrt-addon-kerneloops
Requires: abrt-addon-pstoreoops
%if %{?have_kexec_tools} == 1
Requires: abrt-addon-vmcore
%endif
Requires: abrt-addon-ccpp
Requires: abrt-addon-python3
Requires: abrt-addon-xorg
# Default config of addon-ccpp requires gdb
Requires: gdb >= 7.8.1-31
Requires: elfutils
Requires: abrt-gui
Requires: gnome-abrt
%if 0%{?rhel}
Requires: libreport-rhel >= %{libreport_ver}
Requires: libreport-plugin-rhtsupport >= %{libreport_ver}
%else
Requires: abrt-retrace-client
Requires: abrt-plugin-bodhi
Requires: libreport-plugin-bugzilla >= %{libreport_ver}
Requires: libreport-plugin-logger >= %{libreport_ver}
Requires: libreport-plugin-ureport >= %{libreport_ver}
Requires: libreport-fedora >= %{libreport_ver}
%endif
#Requires: abrt-plugin-firefox
Provides: bug-buddy = 2.28.0

%description desktop
Virtual package to install all necessary packages for usage from desktop
environment.

%if %{with atomic}
%package atomic
Summary: Package to make easy default installation on Atomic hosts
Group: Applications/System
Requires: %{name}-addon-coredump-helper = %{version}-%{release}
Conflicts: %{name}-addon-ccpp
%endif

%description atomic
Package to install all necessary packages for usage from Atomic
hosts.

%package dbus
Summary: ABRT DBus service
Group: Applications/System
Requires: %{name} = %{version}-%{release}
BuildRequires: polkit-devel
Requires: abrt-libs = %{version}-%{release}

%description dbus
ABRT DBus service which provides org.freedesktop.problems API on dbus and
uses PolicyKit to authorize to access the problem data.


%package python
Summary: ABRT Python API
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-dbus = %{version}-%{release}
Requires: dbus-python
Requires: libreport-python
BuildRequires: python-nose
BuildRequires: python-sphinx
BuildRequires: libreport-python

%description python
High-level API for querying, creating and manipulating
problems handled by ABRT in Python.

%package python-doc
Summary: ABRT Python API Documentation
Group: Documentation
BuildArch: noarch
BuildRequires: python2-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-python = %{version}-%{release}

%description python-doc
Examples and documentation for ABRT Python API.

%package python3
Summary: ABRT Python 3 API
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-dbus = %{version}-%{release}
Requires: python3-dbus
Requires: libreport-python3
BuildRequires: python3-nose
BuildRequires: python3-sphinx
BuildRequires: libreport-python3

%description python3
High-level API for querying, creating and manipulating
problems handled by ABRT in Python 3.

%package python3-doc
Summary: ABRT Python API Documentation
Group: Documentation
BuildArch: noarch
BuildRequires: python3-devel
Requires: %{name} = %{version}-%{release}
Requires: %{name}-python3 = %{version}-%{release}

%description python3-doc
Examples and documentation for ABRT Python 3 API.

%package console-notification
Summary: ABRT console notification script
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: %{name}-cli = %{version}-%{release}

%description console-notification
A small script which prints a count of detected problems when someone logs in
to the shell

%prep
# http://www.rpm.org/wiki/PackagerDocs/Autosetup
# Default '__scm_apply_git' is 'git apply && git commit' but this workflow
# doesn't allow us to create a new file within a patch, so we have to use
# 'git am' (see /usr/lib/rpm/macros for more details)
#%%define __scm_apply_git(qp:m:) %%{__git} am
%define __scm_apply_git(qp:m:) %{__git} am --exclude doc/design --exclude doc/project/abrt.tex
%autosetup -S git

%build
autoreconf --force --install
intltoolize --force --copy --automake
CFLAGS="%{optflags} -Werror" %configure --enable-doxygen-docs \
%ifnarch arm armhfp armv7hl armv7l aarch64
                                        --enable-native-unwinder \
%endif
%if %{without atomic}
                                        --without-atomic \
%endif
%if %{?have_kexec_tools} == 0
                                        --disable-addon-vmcore \
%endif
                                        --enable-dump-time-unwind \
                                        --disable-silent-rules

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
             mandir=%{_mandir} \
             dbusabrtdocdir=%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/

%find_lang %{name}

# Remove byte-compiled python files generated by automake.
# automake uses system's python for all *.py files, even
# for those which needs to be byte-compiled with different
# version (python2/python3).
# rpm can do this work and use the appropriate python version.
find $RPM_BUILD_ROOT -name "*.py[co]" -delete

# remove all .la and .a files
find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/cache/abrt-di
mkdir -p $RPM_BUILD_ROOT/var/run/abrt
mkdir -p $RPM_BUILD_ROOT/var/spool/abrt
mkdir -p $RPM_BUILD_ROOT/var/spool/abrt-upload
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/abrt

desktop-file-install \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
        src/applet/abrt-applet.desktop

ln -sf %{_datadir}/applications/abrt-applet.desktop ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/

# After everything is installed, remove info dir
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%check
make check

%pre
#uidgid pair 173:173 reserved in setup rhbz#670231
%define abrt_gid_uid 173
getent group abrt >/dev/null || groupadd -f -g %{abrt_gid_uid} --system abrt
getent passwd abrt >/dev/null || useradd --system -g abrt -u %{abrt_gid_uid} -d /etc/abrt -s /sbin/nologin abrt
exit 0

%post
# $1 == 1 if install; 2 if upgrade
%systemd_post abrtd.service

%post addon-ccpp
# this is required for transition from 1.1.x to 2.x
# because /cache/abrt-di/* was created under root with root:root
# so 2.x fails when it tries to extract debuginfo there..
chown -R abrt:abrt %{_localstatedir}/cache/abrt-di
%systemd_post abrt-ccpp.service
%systemd_post abrt-journal-core.service

%post addon-kerneloops
%systemd_post abrt-oops.service

%post addon-xorg
%systemd_post abrt-xorg.service

%if %{?have_kexec_tools} == 1
%post addon-vmcore
%systemd_post abrt-vmcore.service
%endif

%post addon-pstoreoops
%systemd_post abrt-pstoreoops.service

%post addon-upload-watch
%systemd_post abrt-upload-watch.service

%preun
%systemd_preun abrtd.service

%preun addon-ccpp
%systemd_preun abrt-ccpp.service
%systemd_preun abrt-journal-core.service

%preun addon-kerneloops
%systemd_preun abrt-oops.service

%preun addon-xorg
%systemd_preun abrt-xorg.service

%if %{?have_kexec_tools} == 1
%preun addon-vmcore
%systemd_preun abrt-vmcore.service
%endif

%preun addon-pstoreoops
%systemd_preun abrt-pstoreoops.service

%preun addon-upload-watch
%systemd_preun abrt-upload-watch.service

%postun
%systemd_postun_with_restart abrtd.service

%postun addon-ccpp
%systemd_postun_with_restart abrt-ccpp.service
%systemd_postun_with_restart abrt-journal-core.service

%postun addon-kerneloops
%systemd_postun_with_restart abrt-oops.service

%postun addon-xorg
%systemd_postun_with_restart abrt-xorg.service

%if %{?have_kexec_tools} == 1
%postun addon-vmcore
%systemd_postun_with_restart abrt-vmcore.service
%endif

%postun addon-pstoreoops
%systemd_postun_with_restart abrt-pstoreoops.service

%postun addon-upload-watch
%systemd_postun_with_restart abrt-upload-watch.service

%post gui
# update icon cache
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%if %{with atomic}
%post atomic
if [ -f /etc/abrt/plugins/CCpp.conf ]; then
    mv /etc/abrt/plugins/CCpp.conf /etc/abrt/plugins/CCpp.conf.rpmsave.atomic || exit 1;
fi
ln -sf /etc/abrt/plugins/CCpp_Atomic.conf /etc/abrt/plugins/CCpp.conf
if [ -f /usr/share/abrt/conf.d/plugins/CCpp.conf ]; then
    mv /usr/share/abrt/conf.d/plugins/CCpp.conf /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic || exit 1;
fi
ln -sf /usr/share/abrt/conf.d/plugins/CCpp_Atomic.conf /usr/share/abrt/conf.d/plugins/CCpp.conf
%systemd_post abrt-coredump-helper.service

%preun atomic
if [ -L /etc/abrt/plugins/CCpp.conf ]; then
    rm /etc/abrt/plugins/CCpp.conf
fi
if [ -L /usr/share/abrt/conf.d/plugins/CCpp.conf ]; then
    rm /usr/share/abrt/conf.d/plugins/CCpp.conf
fi
if [ -f /etc/abrt/plugins/CCpp.conf.rpmsave.atomic ]; then
    mv /etc/abrt/plugins/CCpp.conf.rpmsave.atomic /etc/abrt/plugins/CCpp.conf || exit 1
fi
if [ -f  /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic ]; then
    mv /usr/share/abrt/conf.d/plugins/CCpp.conf.rpmsave.atomic /usr/share/abrt/conf.d/plugins/CCpp.conf || exit 1
fi

%postun atomic
%systemd_postun_with_restart abrt-coredump-helper.service
%endif

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post gui-libs -p /sbin/ldconfig

%postun gui-libs -p /sbin/ldconfig

%postun gui
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
service abrtd condrestart >/dev/null 2>&1 || :

%posttrans addon-ccpp
service abrt-ccpp condrestart >/dev/null 2>&1 || :

%posttrans addon-kerneloops
service abrt-oops condrestart >/dev/null 2>&1 || :

%posttrans addon-xorg
service abrt-xorg condrestart >/dev/null 2>&1 || :

%if %{?have_kexec_tools} == 1
%posttrans addon-vmcore
service abrt-vmcore condrestart >/dev/null 2>&1 || :
# Copy the configuration file to plugin's directory
test -f /etc/abrt/abrt-harvest-vmcore.conf && {
    mv -b /etc/abrt/abrt-harvest-vmcore.conf /etc/abrt/plugins/vmcore.conf
}
exit 0
%endif

%posttrans addon-pstoreoops
service abrt-pstoreoops condrestart >/dev/null 2>&1 || :

%posttrans addon-upload-watch
service abrt-upload-watch condrestart >/dev/null 2>&1 || :

%posttrans gui
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%posttrans dbus
# Force abrt-dbus to restart like we do with the other services
killall abrt-dbus >/dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README.md COPYING
%if %{with systemd}
%{_unitdir}/abrtd.service
%{_tmpfilesdir}/abrt.conf
%else
%{_initrddir}/abrtd
%endif
%{_sbindir}/abrtd
%{_sbindir}/abrt-server
%{_sbindir}/abrt-auto-reporting
%{_libexecdir}/abrt-handle-event
%{_libexecdir}/abrt-action-ureport
%{_libexecdir}/abrt-action-generate-machine-id
%{_bindir}/abrt-handle-upload
%{_bindir}/abrt-action-notify
%{_mandir}/man1/abrt-action-notify.1.gz
%{_bindir}/abrt-action-save-package-data
%{_bindir}/abrt-action-save-container-data
%{_bindir}/abrt-watch-log
%{_bindir}/abrt-action-analyze-python
%{_bindir}/abrt-action-analyze-xorg
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.problems.daemon.conf
%config(noreplace) %{_sysconfdir}/%{name}/abrt-action-save-package-data.conf
%{_datadir}/%{name}/conf.d/abrt-action-save-package-data.conf
%config(noreplace) %{_sysconfdir}/%{name}/plugins/xorg.conf
%{_datadir}/%{name}/conf.d/plugins/xorg.conf
%{_mandir}/man5/abrt-xorg.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/gpg_keys.conf
%{_datadir}/%{name}/conf.d/gpg_keys.conf
%{_mandir}/man5/gpg_keys.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/abrt_event.conf
%{_mandir}/man5/abrt_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/smart_event.conf
%{_mandir}/man5/smart_event.conf.5.gz
%dir %attr(0751, root, abrt) %{_localstatedir}/spool/%{name}
%dir %attr(0700, abrt, abrt) %{_localstatedir}/spool/%{name}-upload
# abrtd runs as root
%dir %attr(0755, root, root) %{_localstatedir}/run/%{name}
%ghost %attr(0666, -, -) %{_localstatedir}/run/%{name}/abrt.socket
%ghost %attr(0644, -, -) %{_localstatedir}/run/%{name}/abrtd.pid

%{_mandir}/man1/abrt-handle-upload.1.gz
%{_mandir}/man1/abrt-server.1.gz
%{_mandir}/man1/abrt-action-save-package-data.1.gz
%{_mandir}/man1/abrt-watch-log.1.gz
%{_mandir}/man1/abrt-action-analyze-python.1*
%{_mandir}/man1/abrt-action-analyze-xorg.1.gz
%{_mandir}/man1/abrt-auto-reporting.1.gz
%{_mandir}/man8/abrtd.8.gz
%{_mandir}/man5/abrt-action-save-package-data.conf.5.gz
# {_mandir}/man5/pyhook.conf.5.gz

%files libs
%defattr(-,root,root,-)
%{_libdir}/libabrt.so.*
%config(noreplace) %{_sysconfdir}/%{name}/abrt.conf
%{_datadir}/%{name}/conf.d/abrt.conf
%{_mandir}/man5/abrt.conf.5.gz
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/plugins
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/conf.d
%dir %{_datadir}/%{name}/conf.d/plugins

# filesystem package should own /usr/share/augeas/lenses directory
%{_datadir}/augeas/lenses/abrt.aug

%files devel
%defattr(-,root,root,-)
# The complex pattern below (instead of simlpy *) excludes Makefile{.am,.in}:
%doc apidoc/html/*.{html,png,css,js}
%{_includedir}/abrt/abrt-dbus.h
%{_includedir}/abrt/hooklib.h
%{_includedir}/abrt/libabrt.h
%{_includedir}/abrt/problem_api.h
%{_libdir}/libabrt.so
%{_libdir}/pkgconfig/abrt.pc

%files gui-libs
%defattr(-,root,root,-)
%{_libdir}/libabrt_gui.so.*

%files gui-devel
%defattr(-,root,root,-)
%{_includedir}/abrt/abrt-config-widget.h
%{_includedir}/abrt/system-config-abrt.h
%{_libdir}/libabrt_gui.so
%{_libdir}/pkgconfig/abrt_gui.pc

%files gui
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
# all glade, gtkbuilder and py files for gui
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/%{name}/icons/hicolor/*/status/*
%{_datadir}/%{name}/ui/*
%{_bindir}/abrt-applet
%{_bindir}/system-config-abrt
#%%{_bindir}/test-report
%{_datadir}/applications/abrt-applet.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/abrt-applet.desktop
%{_mandir}/man1/abrt-applet.1*
%{_mandir}/man1/system-config-abrt.1*

%files addon-coredump-helper
%defattr(-,root,root,-)
%{_libexecdir}/abrt-hook-ccpp
%{_sbindir}/abrt-install-ccpp-hook
%{_mandir}/man*/abrt-install-ccpp-hook.*

%files addon-ccpp
%defattr(-,root,root,-)
%dir %attr(0775, abrt, abrt) %{_localstatedir}/cache/abrt-di
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp.conf
%{_datadir}/%{name}/conf.d/plugins/CCpp.conf
%{_mandir}/man5/abrt-CCpp.conf.5.gz
%{_libexecdir}/abrt-gdb-exploitable
%if %{with systemd}
%{_unitdir}/abrt-ccpp.service
%{_unitdir}/abrt-journal-core.service
%else
%{_initrddir}/abrt-ccpp
%endif

# attr(6755) ~= SETUID|SETGID
%attr(6755, abrt, abrt) %{_libexecdir}/abrt-action-install-debuginfo-to-abrt-cache

%{_bindir}/abrt-action-analyze-c
%{_bindir}/abrt-action-trim-files
%{_bindir}/abrt-action-analyze-core
%{_bindir}/abrt-action-analyze-vulnerability
%{_bindir}/abrt-action-install-debuginfo
%{_bindir}/abrt-action-generate-backtrace
%{_bindir}/abrt-action-generate-core-backtrace
%{_bindir}/abrt-action-analyze-backtrace
%{_bindir}/abrt-action-list-dsos
%{_bindir}/abrt-action-perform-ccpp-analysis
%{_bindir}/abrt-action-analyze-ccpp-local
%{_bindir}/abrt-dump-journal-core
%config(noreplace) %{_sysconfdir}/libreport/events.d/ccpp_event.conf
%{_mandir}/man5/ccpp_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/gconf_event.conf
%{_mandir}/man5/gconf_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/vimrc_event.conf
%{_mandir}/man5/vimrc_event.conf.5.gz
%{_datadir}/libreport/events/analyze_CCpp.xml
%{_datadir}/libreport/events/analyze_LocalGDB.xml
%{_datadir}/libreport/events/collect_xsession_errors.xml
%{_datadir}/libreport/events/collect_GConf.xml
%{_datadir}/libreport/events/collect_vimrc_user.xml
%{_datadir}/libreport/events/collect_vimrc_system.xml
%{_datadir}/libreport/events/post_report.xml
%{_mandir}/man*/abrt-action-analyze-c.*
%{_mandir}/man*/abrt-action-trim-files.*
%{_mandir}/man*/abrt-action-generate-backtrace.*
%{_mandir}/man*/abrt-action-generate-core-backtrace.*
%{_mandir}/man*/abrt-action-analyze-backtrace.*
%{_mandir}/man*/abrt-action-list-dsos.*
%{_mandir}/man*/abrt-action-install-debuginfo.*
%{_mandir}/man*/abrt-action-analyze-ccpp-local.*
%{_mandir}/man*/abrt-action-analyze-core.*
%{_mandir}/man*/abrt-action-analyze-vulnerability.*
%{_mandir}/man*/abrt-action-perform-ccpp-analysis.*
%{_mandir}/man*/abrt-dump-journal-core.*

%files addon-upload-watch
%defattr(-,root,root,-)
%{_sbindir}/abrt-upload-watch
%if %{with systemd}
%{_unitdir}/abrt-upload-watch.service
%else
%{_initrddir}/abrt-upload-watch
%endif
%{_mandir}/man*/abrt-upload-watch.*


%files retrace-client
%{_bindir}/abrt-retrace-client
%{_mandir}/man1/abrt-retrace-client.1.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/ccpp_retrace_event.conf
%{_mandir}/man5/ccpp_retrace_event.conf.5.gz
%{_datadir}/libreport/events/analyze_RetraceServer.xml

%files addon-kerneloops
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/koops_event.conf
%{_mandir}/man5/koops_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/plugins/oops.conf
%{_datadir}/%{name}/conf.d/plugins/oops.conf
%if %{with systemd}
%{_unitdir}/abrt-oops.service
%else
%{_initrddir}/abrt-oops
%endif

%dir %{_localstatedir}/lib/abrt

%{_bindir}/abrt-dump-oops
%{_bindir}/abrt-dump-journal-oops
%{_bindir}/abrt-action-analyze-oops
%{_bindir}/abrt-action-save-kernel-data
%{_mandir}/man1/abrt-dump-oops.1*
%{_mandir}/man1/abrt-dump-journal-oops.1*
%{_mandir}/man1/abrt-action-analyze-oops.1*
%{_mandir}/man1/abrt-action-save-kernel-data.1*
%{_mandir}/man5/abrt-oops.conf.5*

%files addon-xorg
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/xorg_event.conf
%{_mandir}/man5/xorg_event.conf.5.gz
%if %{with systemd}
%{_unitdir}/abrt-xorg.service
%else
%{_initrddir}/abrt-xorg
%endif
%{_bindir}/abrt-dump-xorg
%{_bindir}/abrt-dump-journal-xorg
%{_mandir}/man1/abrt-dump-xorg.1*
%{_mandir}/man1/abrt-dump-journal-xorg.1*

%if %{?have_kexec_tools} == 1
%files addon-vmcore
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/libreport/events.d/vmcore_event.conf
%{_mandir}/man5/vmcore_event.conf.5.gz
%config(noreplace) %{_sysconfdir}/%{name}/plugins/vmcore.conf
%{_datadir}/%{name}/conf.d/plugins/vmcore.conf
%{_datadir}/libreport/events/analyze_VMcore.xml
%if %{with systemd}
%{_unitdir}/abrt-vmcore.service
%else
%{_initrddir}/abrt-vmcore
%endif
%{_sbindir}/abrt-harvest-vmcore
%{_bindir}/abrt-action-analyze-vmcore
%{_bindir}/abrt-action-check-oops-for-hw-error
%{_bindir}/abrt-action-check-oops-for-alt-component
%{_mandir}/man1/abrt-harvest-vmcore.1*
%{_mandir}/man5/abrt-vmcore.conf.5*
%{_mandir}/man1/abrt-action-analyze-vmcore.1*
%{_mandir}/man1/abrt-action-check-oops-for-hw-error.1*
%endif

%files addon-pstoreoops
%defattr(-,root,root,-)
%if %{with systemd}
%{_unitdir}/abrt-pstoreoops.service
%else
%{_initrddir}/abrt-pstoreoops
%endif
%{_sbindir}/abrt-harvest-pstoreoops
%{_bindir}/abrt-merge-pstoreoops
%{_mandir}/man1/abrt-harvest-pstoreoops.1*
%{_mandir}/man1/abrt-merge-pstoreoops.1*

%files addon-python
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/python.conf
%{_datadir}/%{name}/conf.d/plugins/python.conf
%{_mandir}/man5/abrt-python.conf.5.gz
# TODO? Do we need %%config(noreplace) in the below line too?
%config(noreplace) %{_sysconfdir}/libreport/events.d/python_event.conf
%{_mandir}/man5/python_event.conf.5.gz
%{python_sitearch}/abrt*.py*
%{python_sitearch}/abrt.pth

%files addon-python3
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/python3.conf
%{_datadir}/%{name}/conf.d/plugins/python3.conf
%{_mandir}/man5/abrt-python3.conf.5.gz
%config(noreplace) %{_sysconfdir}/libreport/events.d/python3_event.conf
%{_mandir}/man5/python3_event.conf.5.gz
%{python3_sitearch}/abrt*
%{python3_sitearch}/__pycache__/abrt*

%files cli
%defattr(-,root,root,-)

%files tui
%defattr(-,root,root,-)
%{_bindir}/abrt-cli
%{_mandir}/man1/abrt-cli.1.gz

%files cli-ng
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/bash_completion.d/abrt.bash_completion
%{_bindir}/abrt
%{python_sitearch}/abrtcli/
%{_mandir}/man1/abrt.1.gz

%files desktop
%defattr(-,root,root,-)

%if %{with atomic}
%files atomic
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp_Atomic.conf
%{_unitdir}/abrt-coredump-helper.service
%{_datadir}/%{name}/conf.d/plugins/CCpp_Atomic.conf
%config(noreplace) %{_sysconfdir}/%{name}/abrt-action-save-package-data.conf
%{_bindir}/abrt-action-save-package-data
%{_mandir}/man1/abrt-action-save-package-data.1.gz
%{_mandir}/man5/abrt-action-save-package-data.conf.5.gz
%endif

%files plugin-bodhi
%defattr(-,root,root,-)
%{_bindir}/abrt-bodhi
%{_bindir}/abrt-action-find-bodhi-update
%{_mandir}/man1/abrt-bodhi.1.gz
%{_mandir}/man1/abrt-action-find-bodhi-update.1.gz

%files dbus
%defattr(-,root,root,-)
%{_sbindir}/abrt-dbus
%{_sbindir}/abrt-configuration
%{_mandir}/man8/abrt-dbus.8.gz
%{_mandir}/man8/abrt-configuration.8.gz
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-abrt.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.Problems.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.abrt.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.ccpp.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.oops.xml
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.python.xml
%if %{?have_kexec_tools} == 1
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.vmcore.xml
%endif
%{_datadir}/dbus-1/interfaces/com.redhat.problems.configuration.xorg.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.problems.service
%{_datadir}/dbus-1/system-services/com.redhat.problems.configuration.service
%{_datadir}/polkit-1/actions/abrt_polkit.policy
%dir %{_defaultdocdir}/%{name}-dbus%{docdirversion}/
%dir %{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/
%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/*.html
%{_defaultdocdir}/%{name}-dbus%{docdirversion}/html/*.css

%files python
%{python_sitearch}/problem/
%{_mandir}/man5/abrt-python.5.gz

%files python-doc
%{python_sitelib}/problem_examples

%files python3
%{python3_sitearch}/problem/
%{_mandir}/man5/abrt-python3.5.gz

%files python3-doc
%{python3_sitelib}/problem_examples

%files console-notification
%config(noreplace) %{_sysconfdir}/profile.d/abrt-console-notification.sh

%changelog
* Wed Apr 27 2016 Matej Habrnal <mhabrnal@redhat.com> 2.8.0.5
- revert: turn off compat cores
- Resolves: #1330734

* Fri Apr 08 2016 Matej Habrnal <mhabrnal@redhat.com> 2.8.0.4
- spec: README -> README.md
- Add basic documentation
- a-a-install-debuginfo: fix BrokenPipe error
- a-a-install-debuginfo: make tmpdir variable global
- Resolves: #1255259

* Tue Feb 23 2016 Matej Habrnal <mhabrnal@redhat.com> 2.8.0-3
- translation updates
- blacklist Firefox's plugin-container
- turn off compat cores

* Wed Feb 10 2016 Matej Habrnal <mhabrnal@redhat.com> 2.8.0-2
- drop %e from the core_pattern

* Wed Feb 03 2016 Matej Habrnal <mhabrnal@redhat.com> 2.8.0-1
- a-a-save-package-data: do not blacklist firefox

* Tue Feb 02 2016 Matej Habrnal <mhabrnal@redhat.com> 2.7.2-1
- ccpp: add AllowedUsers and AllowedGroups feature
- ccpp: use executable name from pid
- a-a-c-o-f-hw-error: do not crash on invalid unicode
- configui: link GUI library with libabrt.so
- ccpp: unify log message of ignored crashes
- ccpp: add IgnoredPath option
- Resolves: #1277872, #1287302, #1291976

* Mon Nov 23 2015 Jakub Filak <jfilak@redhat.com> 2.7.1-1
- CVE-2015-5287: switch owner of /var/spool/abrt to 'root'
- CVE-2015-5287: ccpp: save abrt core files only if DebugLevel > 0
- CVE-2015-5287: ccpp: save abrt core files only to new files
- CVE-2015-5287: abrt configuration: introduce DebugLevel
- CVE-2015-5273: a-a-i-d-to-abrt-cache: make own random temporary directory
- ccpp: make crashes of processes with locked memory not-reportable
- xorg: introduce tool abrt-dump-journal-xorg
- abrt-xorg.service: change due to abrt-dump-journal-xorg
- a-d-journal-core: set root owner for created dump directory
- spec: add missing man page for abrt-dump-journal-core
- Resolves: #1262252, #1284557

* Wed Oct 28 2015 Jakub Filak <jfilak@redhat.com> 2.7.0-2
- Fix broken problem details in abrt-cli/gnome-abrt
- Resolves: #1256456

* Fri Oct 16 2015 Matej Habrnal <mhabrnal@redhat.com> 2.7.0-1
- cli-ng: initial
- bodhi: introduce wrapper for 'reporter-bugzilla -h' and 'abrt-bodhi'
- handle-event: remove obsolete workaround
- remove 'not needed' code
- doc: change /var/tmp/abrt to /var/spool/abrt
- doc: fix default DumpLocation in abrt.conf man page
- abrt-dump-xorg: support Xorg log backtraces prefixed by (EE)
- Resolves #1264739

* Tue Sep 15 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.2-7
- doc: actualize the abrt-bodhi man page
- bodhi: fix a segfault when testing an os-release opt for 'rawhide'
- Resolves: #1260259

* Sat Sep 05 2015 Kalev Lember <klember@redhat.com> - 2.6.2-6
- Rebuilt for librpm soname bump

* Wed Aug 26 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.2-5
- bodhi: add parsing of error responses
- bodhi: add ignoring of Rawhide
- do not break the reporting if a-bodhi fails
- spec: add hawkey to BRs of abrt-bodhi
- introduce bodhi2 to abrt-bodhi
- convert all 'ex.message' stmts to 'str(ex)'
- don't start reporting of not-reportable problems
- add bash on the package blacklist

* Fri Aug 14 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.2-4
- ccpp - use global TID
- fix comment related to 'MakeCompatCore' option in CCpp.conf
- fix testing of DBus API return codes
- dbus-api: unify reporting of errors
- fix related to conditional compilation of man page
- abrt-auto-reporting: fix related to conditional compilation
- correct usage of abrt-gdb-exploitable
- Resolves: #1245600, #1252590


* Fri Jul 24 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.2-3
- read vmcore by chunks
- pass encoded Unicode to hashlib.sha1.update()
- abrt-merge-pstoreoops: merge files in descending order

* Wed Jul 22 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.2-2
- use gettext instead of lgettext in all python scripts
- Resolves: #1245600

* Fri Jul 17 2015 Jakub Filak <jfilak@redhat.com> 2.6.2-1
- switch to Python 3
- reassign components of certain Kernel oopses to xorg-x11-drv-*
- de-prioritize post-mortem processes
- applet: do not crash if the new problem has no command_line
- abrt-hook-ccpp: do not crash if generate_core_backtrace fails
- cli: enable authentication for all commands
- Resolves: #1192080

* Fri Jul 03 2015 Matej Habrnal <mhabrnal@redhat.com> 2.6.1-1
- keep the polkit authorization for all clients
- enable polkit authentication on command line
- use TID to find crash thread
- remove PyGObject from all Requires
- update version of gdb because of -ascending
- make it easier to find the backtrace of th crash thread
- save TID in the file 'tid'
- get TID from correct cmd line argument
- add option always generate backtrace locally
- add processor information to sosreport
- update abrt-cli man page
- Resolves #1217901

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Jakub Filak <jfilak@redhat.com> 2.6.0-1
- move the default dump location to /var/spool/abrt from /var/tmp/abrt
- hooks: use root for owner of all dump directories
- ccpp: do not unlink failed and big user cores
- ccpp: don't save the system logs by default
- ccpp: stop reading hs_error.log from /tmp
- ccpp: emulate selinux for creation of compat cores
- koops: don't save dmesg if kernel.dmesg_restrict=1
- dbus: validate passed arguments
- turn off exploring crashed process's root directories
- abrt-python: bug fixes and improvements
- fixes for CVE-2015-3315, CVE-2015-3142, CVE-2015-1869, CVE-2015-1870
- fixes for CVE-2015-3147, CVE-2015-3151, CVE-2015-3150, CVE-2015-3159
- spec: add abrt-dbus to Rs of abrt-python and abrt-cli
- spec: restart abrt-dbus in posttrans

* Wed May 20 2015 Matej Habrnal <mhabrnal@redhat.com> 2.5.1-3
- applet: fix problem info double free
- upload: validate and sanitize uploaded dump directories
- applet: switch to D-Bus methods
- lib: add new kernel taint flags
- abrt-auto-reporting: require rhtsupport.conf file only on RHEL
- doc, polkit: Spelling/grammar fixes
- applet: migrate Autoreporting options to GSettings
- config UI: read glade from a local file first
- config UI: Automatic reporting from GSettings
- Resolves: #1217901

* Mon Apr 13 2015 Jakub Filak <jfilak@redhat.com> 2.5.1-2
- Remove no longer needed posttrans scriptlet copying analyzer to type

* Thu Apr 09 2015 Jakub Filak <jfilak@redhat.com> 2.5.1-1
- Translation updates
- problem: use 'type' element instead of 'analyzer'
- cli-status: don't return 0 if there is a problem older than limit
- cli: use the DBus methods for getting problem information
- journal-oops: add an argument accepting journal directory
- lib: don't expect kernel's version '2.6.*' or '3.*.*'
- dbus: add new method to test existence of an element
- vmcore: generate 'reason' file in all cases
- applet: Don't show report button for unpackaged programs
- applet: get the list of problems through D-Bus service

* Fri Mar 20 2015 Jakub Filak <jfilak@redhat.com> 2.5.0-2
- applet: re-enable notifications of problems not-yet seen problems at start-up

* Wed Mar 18 2015 Jakub Filak <jfilak@redhat.com> 2.5.0-1
- dbus: add a new method GetProblemData
- abrt_event: run save package data event even if component exists
- a-a-s-container-data: add a new argument --root
- a-a-s-kernel-data: add --root argument
- journal-oops: add an argument similar to '--merge'
- ccpp: create the dump location from standalone hook
- retrace-client: stop failing on SSL2
- spec: changes for Atomic hosts
- ccpp: add support for multiple pkg mngrs
- Python 3 compatibility
- Don't allow users to list problems "by hand"
- spec: abrt-python requires libreport-python to build

* Fri Feb 20 2015 Jakub Filak <jfilak@redhat.com> - 2.4.0-1
- gracefully handle crashes in containers
- reworked abrt-applet's work-flow
- process unpackaged by default
- support collecting coredumps from systemd-coredumpctl
- search for log lines in journald more efficiently
- support sending micro-reports without the need to save coredump
- create a new package abrt-coredump-helper for Fedora Atomic

* Fri Nov 07 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-5
- koops: improve 'reason' text for page faults
- do not detect Firefox crashes
- make ABRT queiter
- update Package URL

* Tue Oct 14 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-4
- oops: get rid of invalid characters when dumping from journald

* Mon Oct 13 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-3
- applet: show package instead of duphash
- console-notifications: skip non-interactive shells

* Thu Oct 09 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-2
- console-notifications: use return instead of exit

* Wed Oct 08 2014 Jakub Filak <jfilak@redhat.com> - 2.3.0-1
- applet: confirm ignoring of notifications
- cli: batch reporting in abrt-cli
- cli: add option remove crash dirs after reporting

* Thu Oct 02 2014 Jakub Filak <jfilak@redhat.com> - 2.2.2-9
- disable addon-vmcore on AArch64

* Wed Oct 01 2014 Jakub Filak <jfilak@redhat.com> - 2.2.2-8
- dbus: fixed abrt-dbus memory leaks
- plugins: add abrt-action-generate-machine-id
- retrace-client: humanize sizes
- cli: robustize abrt-console-notification.sh
- cli: make consistent commands in abrt-cli
- Resolves: #1141485

* Thu Sep 11 2014 Jakub Filak <jfilak@redhat.com> - 2.2.2-7
- remove dependency on crash

* Mon Sep 01 2014 Jakub Filak <jfilak@redhat.com> - 2.2.2-6
- gettext: fix the initialization in python scripts
- oops: add man page.patch
- revert: support handling crashes in lxc containers
- oops: fix a use after free bug uncoverd by coverity
- reduced the amount of log messages

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 16 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-4
- dump kernel oopses from systemd-journal
- support SyntaxError Python exceptions

* Wed Jul 16 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-3
- don't use native unwinder on arm

* Mon Jul 14 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-2
- use native unwinder for generating 'core_backtrace'

* Tue Jul 08 2014 Jakub Filak <jfilak@redhat.com> 2.2.2-1
- applet: chown each notified problem before reporting it
- koops: don't analyze MCEs like standard oopses
- koops: don't drop not-reportable oopses by default
- abrt_event: fix post-create reporter-uploader examples
- local duplicates must have matching executables
- Resolves: #1105316

* Tue Jun 10 2014 Jakub Filak <jfilak@redhat.com> - 2.2.1-6
- configui: do not use deprecated gtk3 API
- gdb: disable auto-loaded files
- Resolves: #1105940

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 27 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue May 06 2014 Jakub Filak <jfilak@redhat.com> 2.2.1-3
- dbus: Fix invalid dbus policy file

* Tue May 06 2014 Jakub Filak <jfilak@redhat.com> 2.2.1-2
- dbus: Fix desktop centric polkit policy file

* Tue Apr 22 2014 Jakub Filak <jfilak@redhat.com> 2.2.1-1
- stop using deprecated json-c functions
- vmcore: start the service after kdump service
- do not clear LANG env variable
- localization: fix gettext
- Translation updates
- simplify Analyze C/C++ event configuration
- Support handling crashes in lxc containers
- koops: add an option controlling MCE detection
- cli: list displays all problems
- Fix a spelling error in a configuration GUI tooltip.
- spec: python3 corrections
- Fix new lines in po files

* Wed Mar 05 2014 Jakub Filak <jfilak@redhat.com> 2.2.0-1
- Translation updates
- limit ourselves to *.conf in /etc/abrt
- applet: run Autoreporting event in NONINTERACTIVE mode
- ureport: add user to CC List of Bugzilla bug
- python: build python api for py3
- koops: never search for MCE strings in dmesg
- spec: remove stray space from %%description
- spec: add missing requires for python api
- spec: add dependency on abrt-python

* Mon Feb 10 2014 Jakub Filak <jfilak@redhat.com> - 2.1.12-2
- python: install modules to sitearch directory
- upload-watch: remove busy-wait for SIGUSR1

* Thu Jan 30 2014 Jakub Filak <jfilak@redhat.com> 2.1.12-1
- don't break the event run by failures of abrt-action-notify
- harvest-vmcore: properly handle inaccessible dir error
- spec: abrt-cli requires a pkg providing workflows
- applet: do not say the report is anonymous when ureport auth is enabled
- abrtd.service: Don't order after syslog.target
- vmcore: properly configure Augeas
- applet: don't notify missing ignored_problems file
- fix a double free error in abrt-applet
- configui: show 'Close' button in the dialog
- configure: remove all -Werror from O0CFLAGS
- fix handling of Machine Check Exceptions.

* Wed Jan 08 2014 Jakub Filak <jfilak@redhat.com> 2.1.11-1
- Update translations
- harvest_vmcore: replace regexp config parsing with augeas
- introduce D-Bus Configuration Service
- mark koopses with unsupporeted HW as not-reportable
- bodhi: use the right exit codes
- abrt-handle-event: don't use already freed memory
- introduce abrt-auto-reporting utility
- abrt-action-notify: fix couple of flaws
- Use satyr to compute koops duphash
- koops: tweak koops parser for s390 Call Traces
- configui: do not use deprecated gtk3 API

* Wed Dec 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.10-1
- abrt-cli: display URL to reports in the details
- abrt-cli list: list all problems by default
- Do not copy Makefiles to documentation.
- harvest_vmcore: Fix absolute path handling
- Speed up journalctl --system support detection
- spec: add abrt's augeas module
- add augeas module for abrt configuration files
- spec: rename CCpp.conf
- rename CCpp.conf man to abrt-CCpp.conf
- spec: move vmcore addon's configuration to a new dir
- vmcore: reorganize configuration
- make: install abrt-harvest-vmcore into share conf.d
- spec: install abrt-harvest-vmcore.conf to share conf.d
- switch to libreport workflows in all report-cli events
- abrtd: use warning level for "Recreating deleted ..." message
- abrt-python: add missing arguments to Crash handler
- spec: adapt recent changes related to abrt-action-notify
- move the notify event from dbus_event.conf to abrt_event.conf
- run the autoreporting event from abrt-action-notify
- spec: install conf to /usr/share/abrt/conf.d
- Load conf from /usr/share/abrt/conf.d and /etc/abrt
- abrt-action-install-debuginfo: fix --exact handling. Fixes rhbz1027786
- Use bugzilla_formatdup.conf for detected duplicates in python too. Fixes rhbz#875312.
- applet: properly handle incomplete problems
- DBus Problems API: update documentation
- spec: add abrt-action-notify
- factor out the D-Bus notifications into a python script
- adapt post_create event to the recent changes in reporter-ureport
- spec: add Requires: systemd-python for python addon
- shorten CCpp reason message
- abrt-dump-oops: if backtrace is not seen, file an one-line oops. Fixes rhbz#812537
- Update translations
- Add several manpages
- Resolves: #812204, #1005762

* Sat Oct 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.9-1
- pyhook: add logging workaround for rhbz#1023041
- spec: add systemd-python to BuildRequires
- start abrt-handle-event in non-interactive mode
- Log to journal instead of syslog
- Create manpage for xorg.conf
- Configuration UI: instantly apply changes
- applet: reload user configuration before accessing its values
- switch logging from syslog to systemd in f20 - rhbz#1010648
- make notification messages more clear
- Use log_ family instead of VERBn log calls
- spec: unversioned doc directories in newer fedoras
- don't consider crashes posted to ABRT server as reported
- check return values of fcntl() and setsid()
- remove a dead code uncovered by coverity
- spec: fix file access rights for type and core_bactrace
- spec: move examples to abrt-python-doc package
- install problem examples to python dir
- spec: added the versioned abrt-libs requires to silence rpmdiff
- a-dump-oops: Add new WARNING pattern
- a-a-save-kernel-data: support more kernel flavours
- a-h-event: always compare results of realpath()

* Fri Oct 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.8-1
- Disassemble only instruction rage memory if backtrace is too big
- Include floating-point registers in the backtrace
- spec: make addon-ccpp dependent on libreport-python
- polkit: replace deprecated functions with their subtitues
- retrace-client: query CCpp exploitable information from Retrace server; closes #703
- GUI config: add support for Private ticket option
- a-a-ureport: handle os errors gracefully rhbz#998428 rhbz#998197
- add prefix from configure to the path of debuginfo installer - closes #701
- spec: added deps on abrt-python - closes rhbz#1008182
- spec: remove abrt-dedup-client; closes #702
- remove abrt-dedup-client; related to #702
- abrt-*-client: simplify formatting of locale-related headers
- Resolves: #812204

* Wed Sep 11 2013 Jakub Filak <jfilak@redhat.com> 2.1.7-1
- fix debuginfo installer expecting user input from a pipe - closes #696
- add environment variable whitelist to debuginfo install wrapper - closes #692
- add repo_pattern argument as a custom repository filter - closes #688
- abrt-cli list: replace "@" prefix by "id " prefix
- fix a crash in 'abrt-cli info' when short id isn't found
- Use common string-to-sha1_hash functions. #694
- doc: update OpenGPGCheck in a-a-save-package-data rhbz#997922
- abrt-cli report: accept sha1 hashes of directory names. #693
- abrt-dump-oops: emit a message if throttling for a significant period of time
- abrt-gdb-exploitable: print current instruction
- spec: posttrans scriptlet regenerating core_backtraces
- abrt-handle-event: add check for missing crash thread
- provide tmpfiles.d configuration
- abrt-cli list: use sha1 hash as short ids instead of @N thing. rhbz#906733
- vmcore: fail gracefully if dump_dir is not accessible
- spec: vmcore: require kexec-tools
- vmcore: use re.MULTILINE instead of numerical value
- vmcore: don't fail if /etc/kdump.conf is not readable
- abrt-cli info: add "-s SIZE" option. closes #689
- fix noninteractive mode in debuginfo installer - rhbz#737066
- fixed the gpg keys loading - closes #686
- Fix type of OPT_BOOL's referenced flag variable - it must be int, not bool!
- adds a kdump.conf parser to get the correct dump dir location, closes #640
- xorg_event.conf: use abrt-action-list-dsos to create dso_list
- abrt-action-list-dsos: extend it to be able to parse Xorg backtrace.
- don't require debuginfo for vmcore analysis rhbz#768389
- specfile: make addon-pstoreoops obsolete addon-uefioops
- abrt-dump-oops: add -t option which slows down problem creation. rhbz#902398.
- rename uefioops to pstoreoops rhbz#949721
- spec: create type element for problem dirs where it doesn't exist - rhbz#958968
- introduce abrt-upload-watch
- fix ccpp hook to create the type element - closes #682
- specfile: use systemd-rpm macros. rhbz#850019
- abrt-harvest-vmcore: notify new path - #657
- abrt-dump-oops: remove redundant g_list_length() call, make messages clearer
- updated translation - rhbz#860555
- updated transifex url
- GUI config: add Close/Defaults button
- GUI config: hide option descriptions in tool tips
- GUI config: add Silent shortened reporting support
- applet: silent shortened reporting
- applet: less misleading label for Ignore button
- abrt-handle-upload: switch from shell to python; send socket notification. #657
- spec: add build requires for XSMP depencies
- applet: update seen list when X Session dies
- improved the error messages in abrt-server - closes #679
- fix typo in abrt-config-widget.ui
- spec: add new packages abrt-gui-libs and abrt-gui-devel
- delete desktop file for system-config-abrt
- expose abrt configuration GUI in public API
- rewrite abrt-harvest-uefioops to python - closes #678
- spec: abrt-python is no longer noarch - related #677
- created python binding for notify_new_path - closes #677
- spec: install applet's desktop file to system dir
- applet: configure notification source
- rewrite shell script for moving vmcores into python closes #676
- abrtd: ensure that the dump location directory exists
- a-a-ureport: generate core_backtrace only for CCpp problems
- do not store potentially big data in /tmp
- abrt-dbus: send new problem notify signal to socket
- abrtd: remove "post-create" machinery. Related to #657
- Avoid leaving stale rpmdb locks behind (rhbz#918184)
- abrtd: improve parsing of pidfile in create_pidfile()
- abrt-dump-{oops,xorg}: send new problem notify signal to socket
- abrtd: disable inotify watch on DUMP_LOC
- abrt-hook-ccpp: send "POST /creation_notification" after creating problem dir
- Stop dying in check_free_space(); rename it to low_free_space()
- abrt-server: make create_problem_dir() run "post-create"
- abrt-handle-event: create DUMP_LOC/post-create.lock when running "post-create"
- abrt-server: add support for "POST /creation_notification"
- abrt-handle-event: free more of allocated data
- Resolves: #994009

* Tue Aug 06 2013 Jakub Filak <jfilak@redhat.com> 2.1.6-3
- try to generate core_backtrace only for CCpp problems

* Mon Jul 29 2013 Jakub Filak <jfilak@redhat.com> 2.1.6-2
- disable gcc unused-typedef warning for GLib
- use right dependencies for RHEL

* Fri Jul 26 2013 Jakub Filak <jfilak@redhat.com> 2.1.6-1
- replace functions deprecated in Gtk-3.10 with their substitutes
- integrate with satyr, drop btparser
- use absolute path in python shebang rhzb#987010
- abrt-action-save-package-data: properly close rpm database. Closes #674.
- abrt-action-save-package-data: fix handling of ProcessUnpackaged on scripts
- abrt-action-save-package-data manpage: typo fix
- change /var/spool/abrt/ to /var/tmp/abrt in doc rhbz#912750
- Fix RPMdiff warnings about abrtd and abrt-action-install-debuginfo-to-abrt-cache
- specfile: add dependency on abrt-libs to abrt-addon-uefioops
- stop using the hardcoded event list, use workflows instead rhbz#866027
- retrace-client: build correct release for Fedora Rawhide
- spec: drop unnecessary Obsoletes and Provides
- correct FSF address in python exception hook
- add missing manual pages for binaries and scripts
- fix rpmlint issues in the spec file
- move event option XML files to /usr/share/libreport/
- abrt-hook-ccpp: always fall back to creating user core.
- dbus: add GetForeignProblems method
- the system tray icon opens recently detected problem
- add gdb python plugin which analyzes coredump for vulnerability
- applet: stop saving configuration at exit
- introduce system-config-abrt
- abrt-cli status: make the output more natural
- Fix wrong path in shell include
- abrt-dump-xorg: save "type=xorg" along with "analyzer=xorg"
- Update python hook to use fixed socket interface
- abrt-server: updates/fixes for future rasdaemon needs

* Tue Jul 16 2013 Jakub Filak <jfilak@redhat.com> 2.1.5-2
- fix reporting from Rawhide
- Resolves: #958933

* Fri Jun 14 2013 Jakub Filak <jfilak@redhat.com> 2.1.5-1
- abrt-retrace-client requires tar closes #635
- abrt-tui requires abrt closes #633
- a-d-oops: obtain kernel version from the oops
- a-a-p-ccpp-analysis: import all used attributes
- vmcore: provide all problem elements necessary for the reporting
- a-d-oops: add 'update' command line argument
- a-a-g-core-backtrace: don't crash if kernel file doesn't exist
- a-a-a-vmcore: save kernel version in 'kernel' file
- abrt-cli: make status help message more precise
- abrt-cli status: don't include reported problems into count
- abrt-cli list: implement --since and --until
- abrt-python: open dirs read-only if possible
- dbus: ChownProblemDir method really changes the owner
- python: disable events in collision with anaconda
- abrt-python requires pygobject2
- systemd units: start services only if it make sense
- abrt-harvest-uefioops.in: test for abrtd after testing for pstore, not before
- make abrt-uefioops.service conditional on /sys/fs/pstore being populated
- dbus: fix SetElement failing when shrinking an item
- spec: fix unowned directories
- abrt-python: whole python API path in POTFILES.skip
- abrt-python: fix dbus compatibility on RHEL6
- abrt-python: check if gid equals current users gid
- abrt-python: fix tests compatibility with python 2.6
- abrt-python: pass DD_OPEN_READONLY only if available
- abrt-python: fix deprecation warnings
- console notification shouldn't ask confirmation - closes #652
- Short BT deduplication false positives workaround
- Only problems of same type can be duplicates
- abrt-python: fix bug in problem.get
- abrt-python: pep8 cleanup
- koops parse: support <NMI> frame prefix
- don't show non critical errors in console notification

* Mon May 06 2013 Jakub Filak <jfilak@redhat.com> 2.1.4-3
- don't show non critical errors in console notification
- use last_occurrence with --since

* Fri May 03 2013 Jakub Filak <jfilak@redhat.com> 2.1.4-2
- start abrtd.service after livecd
- udpate translation
- add addon-uefioops
- Resolves: #928753

* Tue Apr 30 2013 Jakub Filak <jfilak@redhat.com> 2.1.4-1
- build abrtd and setuided executables with full relro rhbz#812284
- added a console notification script to profile.d closes #641
- return the right exit code for user cancellation
- add more examples to Problem API doc
- updated translation Related: #951416
- Replace "THANKYOU" with EXIT_STOP_EVENT_RUN exit code (70)
- abrt-action-ureport: rewrite in python, improve messages
- abrt-cli: added 'status' command
- abrt-cli: make "report -v[vv]" export correct $ABRT_VERBOSE value
- bodhi, retrace: support /etc/os-release
- abrt-action-generate-core-backtrace: be a bit more verbose
- abrt-dump-oops: add "Machine Check Exception" to the list of watched strings rhbz#812537
- abrt-action-install-debuginfo: do not assume os.execvp never returns
- abrtd: mark unprocessed dump directories as not-reportable
- abrtd: update last occurrence dump dir file
- spec: remove the commented macros rhbz#864851
- spec: added the versioned abrt-libs requires to silence rpmdiff rhbz#881123
- spec: create a new subpackage for the console notification #641
- spec: add deps. required for reporting to abrt-cli pkg
- spec: inc required version of libreport

* Mon Apr 08 2013 Jakub Filak <jfilak@redhat.com> 2.1.3-2
- Require correct version of libreport
- Add dependecies required for reporting to abrt-cli package

* Wed Mar 27 2013 Jakub Filak <jfilak@redhat.com> 2.1.3-1
- record runlevel
- Integration with satyr
- dbus: check correct errno after dump_dir_is_accessible_by_uid()
- require libreport workflow package acc. to OS type
- remove the abrt-gui closes #629
- retrace-client: do not allow space in os_release_id; closes #625
- Remove all smolt-related files and code bits
- abrtd: recreate Dump Location directory if it is delete

* Mon Mar 25 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-4
- Check if restorecon cmd exists and run it only if it does
- Resolves: #926934

* Fri Mar 22 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-3
- Fix problems with spaces in retrace-client

* Fri Mar 22 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-2
- Require correct version of libreport
- Add a patch for abrtd which ensures that the dump location always exists

* Tue Mar 19 2013 Jakub Filak <jfilak@redhat.com> 2.1.2-1
- Improve log messages
- Update translation
- Introduce helpers for management of list of ignored problems
- applet: show a confirmation notify bubble for reported problems in ShortenedReporting mode
- applet: mark problems as ignored and don't notify ignored problems
- applet: remove confusing "Show" button
- applet: pass problem's id to the gui app
- abrt-ccpp: try to read hs_err.log from crash's CWD
- abrt-action-perform-ccpp-analysis: Complain if analyze_RetraceServer can't run. Closes 619
- abrt-gui: change URL to point to most recent doc
- add abrt-action-analyze-ccpp-local to ccpp-addon related to rhbz#759443
- analyze-ccpp don't suid to abrt when run as root, related rhbz#759443
- abrtd: prohibit DumpLocation == WatchCrashdumpArchiveDir. Closes rhbz#854668
- abrtd: don't blame interpreter, blame the running script #609
- a-a-ureport: don't fail on missing counter file
- a-a-ureport: allow to send ureport more than once
- dbus doc: install abrt-dbus documentation files to the correct places
- dbus doc: extend the documentation of DBus API
- dbus doc: make xml interface parseable by qtdbusxml2cpp
- dbus: add basics to a new problem
- abrt-harvest-vmcore: don't copy dir from var/spool if copy already exists
- fix path in the collect_xsession_errors event
- retrace-client: print dots instead of repeated status message
- move abrt.pth to arch specific location rhbz#912540
- Make forking code paths more robust.
- add more logging to catch "stuck core-backtrace" problem; reduce gdb looping
- Resolves: #879160, #854668, #885044, #903005, #905412, #909968, #912540

* Tue Mar 05 2013 Jakub Filak <jfilak@redhat.com> 2.1.1-3
- disable shortened and auto reporting in RHEL
- Resolves: #918040, #918041

* Tue Mar 05 2013 Jakub Filak <jfilak@redhat.com> 2.1.1-2
- remove ureport events from the reporting workflow in RHEL

* Fri Feb 08 2013 Jakub Filak <jfilak@redhat.com> 2.1.1-1
- add SETGID bit to abrt-action-install-debuginfo-to-abrt-cache
- add abrt-desktop depency on libreport-fedora
- abrt-dump-{oops,xorg}: limit amount of created dirs, add cooldown sleep if exceeded
- abrt-watch-log: handle a case when child doesn't process its input
- abrt-watch-log: fix a bug in mmap error check
- abrt-action-analyze-xorg: fix the case with DIR != "."
- Resolves: #908256

* Mon Feb 04 2013 Jakub Filak <jfilak@redhat.com> 2.1.0-1
- pkg-config: export defaultdumplocation variable
- configure: set default dump location to /var/tmp/abrt
- abrtd: sanitize mode and ovner of all elements
- updated translation
- abrtd-inotify-flood test: expend it to check for another inotify-related bug
- gnome-abrt is default GUI
- applet: on requrest open gnome-abrt instead of abrt-gui
- Make it so that g_io_channel_read_chars(channel_inotify) does not buffer data.
- multilib fixes
- daemon: unify accessibility check before delete with dbus
- dbus: move dir accessibility check from abrt to libreport
- dbus: user dd_chown instead of own impl.
- allow default dump directory to be configured through cmd line args
- introduce abrt-python
- reporter-bz: post a comment to dup bug, if we found a dup. version 2.
- replace left over magic dd modes by macro
- synchronize default dump dir mode with libreport
- replace all occurrences of hardcoded dump location by a variable
- harvest-vmcore: read dump dir path from configuration
- use lchown when chowning files over dbus
- use lchown when chowning newly created problem directory
- verify-that-report-edits test: fix to account for new CLI interface
- koops: add all x86 TRAP prefixes to list of suspicious strings
- koops: put all suspicious strings to global variable
- applet: extend comment. No code changes
- applet: introduce shortened reporting
- abrt-applet: handle SIGTERM and perform nice termination
- abrt-applet: update the seen list on every possible action
- applet: don't notify outdated new problems
- Add and use "report-cli" event instead of removed "report-cli -r" option
- fixed the relro flags rhbz#812284
- applet: unref unused GIOChannel
- Resolves: #892230, #895742

* Thu Dec 20 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.20-1
- New version 2.0.20
- Fix typo: usefull->useful
- koops: generate core backtrace if missing
- udpated po files
- Cosmetic fixes in abrtd-inotify-flood test
- Hook up abrtd-inotify-flood to test infrastructure
- Add a testcase for inotify flood
- replace 'Start Autoreport' btn by a popup dialog
- dbus: NewProblem returns full path as problem_id
- abrt-action-analyze-xorg: fix /usr/include/paths.h -> paths.h
- abrtd: set inotify fd to non-blocking mode; ignore 0-sized inotify reads. Closes rhbz#873815
- s/ABRT dump/problem directory/g
- abrt-applet: don't leak component name
- abrt-applet: alerts only not reported problems
- build system: Remove leftover of abrt-action-analyze-xorg shell script
- Rewrite abrt-action-analyze-xorg in C (partially)
- rework abrt-gui>Help>'Report problem with ABRT'
- abrt-action-analyze-oops: fix help text - we have no -s option
- Help text fix - using "problem directory" consistently
- abrt-dump-oops: add list of tainted modules to NOT_REPORTABLE string. Closes trac#821
- a-a-p-c-a: use ask_yes_no_yesforever() fn from reportclient
- abrt-dump-oops: save /proc/modules contents. Partially closes trac#821
- add ureporter wrapper sending ureport only once per problem dir
- introduce Desktop Session Autoreporting
- add Autoreporting configuration options
- abrt-action-analyze-xorg: robustify 'test "a" = "b"' against bugs
- Collect ~/.xsession_errors from its new path, if it is there. Closes trac#791
- reflect recent libreport API changes .trac#822
- Indentation fix. No code changes.
- minor fix to previous commit realted to .trac#541
- don't use gtk_main* when using gtk_application .trac#890
- minor fix to quit button
- Make "Open problem data" open the expert mode GUI
- Teach kernel oops hash to ignore "<IRQ>" / "<EOI>" prefixes. Closes rhbz#875852
- introduce DeleteElement D-Bus method
- introduce SetElement D-Bus method
- allow only one instance of gui trac#541
- runtests/bugzilla-comment-format: fix false positive AGAIN
- update translations
- a-a-p-c-a: use correct name in gettext initialization
- Fix build system so that make rpm works again
- runtests/bugzilla-comment-format: fix false positive
- Improve xorg post-create. closes trac#838
- Update po files
- fix problem occurrence counter updating algorithm
- abrt-dbus: immediately return an error if not-existing problem is requested
- bugzilla-comment-format: new test
- a-a-p-c-a: use event python API instead of abrt-handle-event
- doc: add dbus problems service specification

* Mon Nov 26 2012 Jakub Filak <jfilak@redhat.com> 2.0.19-2
- update translations
- Resolves: #880201

* Wed Nov 14 2012 Jakub Filak <jfilak@redhat.com> 2.0.19-1
- call g_type_init() only in GLib version < 2.35
- plugins/*_event.conf: use reporter-bz -F FMTFILE as appropriate
- repeat unchaged retrace status message only in verbose mode
- check the correct return value of yesforever answer
- abrt-handle-event: forward event process requests to parent
- don't leak optional retrace path and kernel tainted string
- enhance koops tainted flag parser
- Use "comment" element instead of "description"
- Resolves: #873488

* Thu Nov 01 2012 Jakub Filak <jfilak@redhat.com> 2.0.18-1
- bugzilla-dupe-search: fix os_release to contain the same OS version as bug 755535
- Do not stop reporting when GConf entry is not found. Closes rhbz#869833
- Fix false positive caused by English language fix
- pyhook: import inspect lazily
- Resolves: #869833

* Wed Oct 24 2012 Jakub Filak <jfilak@redhat.com> 2.0.17-2
- remove ABRT1.0-to-ABRT2.0 upgrade script from spec file

* Wed Oct 24 2012 Jakub Filak <jfilak@redhat.com> 2.0.17-1
- provide a problem item containing versions of binaries listed in Xorg backtrace
  Adresses #867694 comment 1
- import rpm lazily
- Resolves: #864324

* Wed Oct 17 2012 Jakub Filak <jfilak@redhat.com> 2.0.16-1
- xorg_event: make post-create save dmesg, drop problems w/ binary modules
  Partially addresses: #856790
- collect_xsession_errors should not fail if !xsession-errors
  Resolves: #866698

* Thu Oct 11 2012 Jakub Filak <jfilak@redhat.com> 2.0.15-1
- add collect_* event to reporting chains for CCpp/Python/Kernel
- core-backtrace: make sure kernel version does not contain spaces
- core-backtrace: also include '?' flag for kerneloops
- don't check EXECUTABLE if it isn't present in list
- retrace-client: check whether all included files are regular
- abrt_exception_handler.py: save 'environ' element
- add Makefile target release-fix
- Make it possible for developer to disable crash processing for specific apps. Closes rhbz#848786
- s/Dump directory/Problem directory/
- Resolves: #864014, #864331, #848786

* Sun Oct 07 2012 Jakub Filak <jfilak@redhat.com> 2.0.14-2
- added forgotten Requires

* Fri Oct 05 2012 Jakub Filak <jfilak@redhat.com> 2.0.14-1
- abrt-dump-oops: save /sys/kernel/debug/suspend_stats. Closes rhbz#787749
- abrt-hook-ccpp: save /proc/sys/crypto/fips_enabled value if it isn't "0". Closes rhbz#747870
- abrt-dump-oops: save /proc/sys/crypto/fips_enabled value if it isn't "0". Closes rhbz#747870
- abrt-action-analyze-oops: fail if we end up hashing "" (empty string). Closes rhbz#862013
- retrace-client: respect chrooted os_release in pkgcheck
- Added oops_recursive_locking1.right to Makefile.am
- fix koops-parser.at, remove bastardized copy of oops_recursive_locking1.test
- add new oops example (currently fails, the fix is coming up)
- fix oops jiffies time stamp counter removal code
- trivia: s/dump/problem directory; fix false positive in oops-with-jiffies.right
- testsuite: added f18 kickstart
- open files for appned not for write rhbz#854266
- added more info about locking - rewrote with vda's comments rhbz#859724
- ccpp_event.conf: ignore crashes with nonzero TracerPid. Closes rhbz#812350
- show more info when abrtd can't acquire lock on pid, related to rhbz#859724
- abrt-hook-ccpp: save "proc_pid_status" element
- use FILENAME_ABRT_VERSION instead of string literal
- Fix pyhook test to reflect changes made in write_dump
- trac#333: Add code generating dso_list to the python hook
- spec: tui should require libreport-cli rhbz#859770
- trac#682: emit Crash DBus signal on org.freedesktop.problems bus
- spec: added deps on elfutils rhbz#859674
- Resolves: #859674, #859770, #859724, #812350, #854266, #862013, #747870, #787749

* Fri Sep 21 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.13-1
-

* Tue Aug 21 2012 Jakub Filak <jfilak@redhat.com> 2.0.12-1
- move abrtd.pid to /var/run/abrt/abrtd.pid
- abrt-harvest-vmcore: add CopyVMcore config option to copy vmcores. Closes 448, rhbz#811733, rhbz#844679
- update po files rhzb#800784
- applet: fix a SEGV caused by notify_init() not being called
- minor fix to pkg-config file
- ignore results of setregid() and setreuid() after glibc update
- hopefully fixed ugly applet icon rhbz#797078
- add update of abrt server database to event chains
- Resolves: #761431, #811733, #844679, #797078

* Fri Aug 10 2012 Jakub Filak <jfilak@redhat.com> 2.0.11-2
- fix abrt-dbus crash if no element is found in GetInfo()
- set sending-sensitive-data option to 'yes' for analyze_RetraceServer event

* Thu Aug 02 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.11-1
- new upstream release
- Resolves: #622773, #741222, #823299, #825116, #826058, #826800, #831333, #832085, #838842

* Tue May 22 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.10-4
- abrt-desktop should require abrt-retrace-client
- Resolves: #823812

* Thu May 10 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.10-3
- enable plugins unconditionally rhbz#819113

* Wed Apr 18 2012 Jiri Moskovcak <jmoskovc@redhat.com>
- fixed freeze in crashing python apps rhbz#808562
- Resolves: #808562

* Wed Apr 18 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.10-2
- minor rhel7 build fixes

* Mon Apr 02 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.10-1
- new upstream release
- fixed problem with empty problem directory rhzb#808131
- fixed exception in a-a-a-core when eu-unstrip output is broken
- Resolves: #808131, #804309

* Mon Mar 19 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.7-7
- fixed problems with rhel gpg keys rhbz#800419

* Thu Feb 02 2012 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.7-6
- abrt-desktop shouldn't require bodhi on rhel (2nd try)

* Wed Feb 01 2012 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.7-5
- abrt-desktop shouldn't require bodhi on rhel

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan 03 2012 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.7-3
- build fixes

* Thu Dec 08 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.7-2
- added man page
- fixed weird number formatting

* Wed Dec 07 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.7-1
- new version
- disabled kerneloops.org
- abrt-ccpp hook fixes
- catch indentation errors in python rhbz#578969
- fixed make check
- fixed retrace-client to work with rawhide
- require abrtd service in other services rhbz#752014
- fixed problems with dupes rhbz#701717
- keep abrt services enabled when updating F15->F16
- Resolves: 752014 749891 749603 744887 730422 665210 639068 625445 701717 752014 578969 732876 757683 753183 756146 749100

* Fri Nov 04 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.6-1
- new version
- Resolves: #701171 #712508 #726033 #728194 #728314 #730107 #733389 #738602
- Resolves: #741242 #749365 #700252 #734298 #736016 #738324 #748457 #692274
- Resolves: #711986 #723219 #749891 #712602 #744887 #749603 #625445 #665210
- Resolves: #737991 #639068 #578969 #636000 #631856

* Fri Oct 07 2011 Nikola Pajkovsky <npajkovs@redhat.com> - 2.0.4.981-3
- don't file kernel bugs if "tainted: B" is set.
- don't file bugs about BIOS bugs.
- incorrect TAINTED description in bugs.
- Resoves: #718097 #708534 724838

* Mon Oct 3  2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-981-2
- added abrt-retrace-client as a dependency

* Thu Sep 22 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4.981-1
- updated translation
- don't allow to skip the analyze step
- don't send ~ backups
- added hint to report only in English
- renamed abrt-action-kerneloops -> reporter-kerneloops
- explain option bugtracker and logger
- gui added padding to main window
- better message when gdb time outs
- added support for catching vmcores
- added version to Logger output
- [RFE] abrt should have an easy way to include smolt-profile
- Resolves: #694828 #694833 #704958 #735071 #731189 #739182 #704452 #734037 #606123 #631822

* Tue Sep 13 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-5
- minor spec file fix

* Tue Sep 13 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-4
- fixed sigsegv in a-a-save-package-data rhbz#737961
- fixed privs for /var/run/abrt rhbz#725974
- fixed segv in free space check
- Resolves: #737961 #725974

* Tue Aug 30 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-3
- fixed abrt1-abrt2 update

* Fri Aug 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-2
- enable bugzilla for kerneloops rhbz#725970
- Resolves: #725970

* Thu Jul 21 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.4-1
- new upstream version
- resolves wrong provs/obsolete rhbz#723376
- split main UI into two panes
- debuginfo-install script asks before downloading
- Resolves: #723376

* Mon Jun 20 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.3-1
- new upstream release

* Fri May 20 2011 Jiri Moskovcak <jmoskovc@redhat.com> - 2.0.2-6
- make abrt-ccpp and abrt-oops start on boot

* Fri May 13 2011 Karel Klíč <kklic@redhat.com> - 2.0.2-5
- Do not force service startup in %%posttrans, as it breaks live media
  creation (rhbz#704415)

* Sun May 08 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.2-4
- fixed prgname, fixes problem where Gnome3 shows lowres icons instead
  nice highres ones

* Fri May 06 2011 Christopher Aillon <caillon@redhat.com> - 2.0.2-3
- Update icon cache scriptlet per packaging guidelines

* Fri May 06 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.2-2
- flush messages in retrace client

* Thu May 05 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.2-1
- updated translation
- new icons (thanks to Lapo Calamandrei)
- changed address of retrace01 to retrace
- fixed problem with not trusted ssl certificate #695977
- #692713 Dialogue Box Buttons Wrong Way Around
- #695452 abrt crashing when trying to generate backtrace
- #698458 RFE: report separators between reports in abrt.log
- #699098 999 futile attempts to delete excess debuginfo
- #691881 GUI doesn't sort by last occurrence by default, and doesn't remember that sort order if you set it and restart the app
- #698418 Can't access '/var/spool/abrt/ccpp-2011-04-18-11:53:22-2661': Permission denied
- #698934 abrt-applet segfault on abrtd restart
- #695450 Retrace client - show meaningful message on failure
- #616407 RFE: Change abrt to catch TRAP signal crashes
- #584352 running service abrtd a non-root user doesn't show error
- retrace client: fail on servers with problematic SSL certificates (kklic@redhat.com)
- retrace-client: Load system-wide certificates. Move NSS init/shutdown to main, as it shouldn't be run multiple times. (kklic@redhat.com)
- abrt-cli: update manpage. Closes #243 (dvlasenk@redhat.com)
- move abrt-handle-crashdump to abrt-cli package. No code changes (dvlasenk@redhat.com)
- add abrt-action-print manpage. Closes #238 (dvlasenk@redhat.com)
- add abrt-action-trim-files manpage. Closes #241 (dvlasenk@redhat.com)
- added abrt-action-generate-backtrace manpage (dvlasenk@redhat.com)
- add abrt-action-analyze-backtrace manpage. Closes #227 (dvlasenk@redhat.com)
- retrace server: do not create zombie workers (mtoman@redhat.com)
- btparser: Remove top frame with address 0x0000 (jump to NULL) during normalization to avoid incorrect backtrace ratings (rhbz#639049) (kklic@redhat.com)
- abrt-gui: better list refreshing. Closes #251 (dvlasenk@redhat.com)
- fix for spurious "Lock file 'DIR/.lock' is locked by process PID" message (dvlasenk@redhat.com)
- Asciidoc manpage support; abrt-action-mailx manpage (kklic@redhat.com)
- list-dsos: don't list the same library multiple times (jmoskovc@redhat.com)
- call abrt-action-trim-files from abrt-action-install-debuginfo (dvlasenk@redhat.com)
- list-dsos: added package install time trac#123 (jmoskovc@redhat.com)
- retrace client: handle messages in HTTP body (mtoman@redhat.com)
- retrace server: remove chroot on failure (mtoman@redhat.com)
- spec: use versioned deps on libreport (jmoskovc@redhat.com)
- generate abrt version from git (npajkovs@redhat.com)
- abrt-action-trim-files needs to be suided rhbz#699098 (jmoskovc@redhat.com)
- gui: suppress printing dumpdir access errors (bz#698418) (mlichvar@redhat.com)
- Do not leave dump dir locked by abrt-action-generate-backtrace. (kklic@redhat.com)
- wizard: expand explanatory text on 1st screen. Closes 201 (dvlasenk@redhat.com)
- gui: fixed the OK and CANCEL buttons order in event config dialog (jmoskovc@redhat.com)
- Make abrt-action-list-dsos.py take -m maps -o dsos params; and abrt-action-analyze-core.py to take -o build_ids param (dvlasenk@redhat.com)
- abrt-action-install-debuginfo.py: don't die on some Yum exceptions. closes bz#681281 (dvlasenk@redhat.com)

* Thu Apr 21 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.1-2
- don't allow reporting of backtrace with rating = 0 rhbz#672023
- use versioned deps on libreport

* Wed Apr 20 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.1-1
- updated to 2.0.1
- updated translation
- allowed reporting oops to bugzilla
- added warning when the plugin settings are wrong
- added help text in plugins settings
- the plugin settings dialog is translatable
- improved dir rescanning logic in abrt-gui
- fixed icons for child dialogs
- retrace-client: human readable messages instead of http codes
- save envirnment variables when app crashes
- fixed gpg/pgp check
- revert to the old icon

* Fri Apr 15 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-5
- fixed problem with abrt-action-debuginfo-install rhbz#692064

* Thu Mar 31 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-4
- fixed prgname in wizard rhbz#692442

* Wed Mar 30 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-3
- fixed notification persistence in gnome3 (again)
- fixed wrong group:user on /var/cache/abrt-di afte rupdate from abrt 1.x #692064
- added mono-core to blacklist

* Tue Mar 29 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-2
- use %%ghost on files in /var/run and /var/lock rhbz#656542
- fixed notification persistence in gnome3
- added analyze selector to CLI
- refuse reporting to bz without backtrace or hash
- use g_set_prgname to set the prgname of abrt-gui trac#180

* Wed Mar 16 2011 Jiri Moskovcak <jmoskovc@redhat.com> 2.0.0-1
- update to the latest upstream version
- many improvements
- FIXME: add closed bugzillas

* Fri Feb 18 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.17-2
- removed gnome-python2-vfs dependency

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.17-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 05 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.17-1
- rewritten abrt-debuginfo-install script to use the yum API
- GUI: added search box to backtrace view rhbz#612017 (jmoskovc@redhat.com)
- fixed some gui warnings rhbz#671488 (jmoskovc@redhat.com)
- btparser/dupechecker improvements:
  - Better handling of glibc architecture-specific functions (kklic@redhat.com)
  - support format of thread header: "Thread 8 (LWP 6357):" (kklic@redhat.com)

* Fri Feb 04 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.16-1
- rhtsupport: added list of attachments to comment rhbz#668875
- rhtsupport: stop consuming non-standard header rhbz#670492
- Resolves: #670492, #668875

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.15-2
- add a gui/uid to useradd/groupadd command (reserved in setup rhbz#670231)
- Resolves: #650975

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.15-1
- removed unused files (jmoskovc@redhat.com)
- update po files (jmoskovc@redhat.com)
- removed some unused files (jmoskovc@redhat.com)
- pass old pattern to ccpp hook and use it (dvlasenk@redhat.com)
- GUI: added warning when gnome-keyring can't be accessed rhbz#576866 (jmoskovc@redhat.com)
- 666893 - Unable to make sense of XML-RPC response from server (npajkovs@redhat.com)
- PyHook: ignore SystemExit exception rhbz#636913 (jmoskovc@redhat.com)
- 665405 - ABRT's usage of sos does not grab /var/log/messages (npajkovs@redhat.com)
- add a note in report if kernel is tainted (npajkovs@redhat.com)
- KerneloopsScanner.cpp: make a room for NULL byte (npajkovs@redhat.com)
- fix multicharacter warring (npajkovs@redhat.com)
- open help page instead of about rhbz#666267

* Wed Jan 19 2011 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.14-3
- fixed build with rpm 4.9 (thx panu pmatilai for the patch)

* Wed Jan 19 2011 Matthias Clasen <mclasen@redhat.com> 1.1.14-2
- Rebuild against new rpm

* Wed Nov 17 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.14-1
- made howto mandatory
- fixed segv in abrt-hook-ccpp rhbz#652338
- added warning if kernel was tainted
- make the "install debuginfo" hint selectable rhbz#644343
- wrap howto and comments rhbz#625237
- wrap lines in the backtrace window rhbz#625232
- changed '*' to '•' rhbz#625236
- make the bt viewer not-editable rhbz#621871
- removed unneeded patches

* Wed Nov 10 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.13-3
- Rebuild for libnotify-0.7

* Wed Aug 25 2010 Jochen Schmitt <Jochen herr-schmitt de> 1.1.13-2
- Rebuild for python-2.7

* Tue Aug 10 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.13-1
- updated translation
- added native systemd file rhbz#617316 (jmoskovc@redhat.com)
- added ar to LINGUAS (jmoskovc@redhat.com)
- made /etc/abrt/plugins/Bugzilla.conf world-readable again (jmoskovc@redhat.com)
- l10n: adding fa locale (lashar@fedoraproject.org)
- l10n: new Persian (lashar@fedoraproject.org)
- remove libzip code (npajkovs@redhat.com)
- add libxml-2.0 into configure (npajkovs@redhat.com)
- fixed typo in man page rhbz#610748 (jmoskovc@redhat.com)
- RHTSupport: GUI's SSLVerify checkbox had one missing bit of code (vda.linux@googlemail.com)
- abrt_curl: discard headers from HTTP redirection (vda.linux@googlemail.com)
- moved abrt.socket and abrtd.lock into /var/run/abrt making selinux happy (jmoskovc@redhat.com)
- Mention --info and --backtrace in the abrt-cli man page. (kklic@redhat.com)
- build fixes for gcc 4.5 (jmoskovc@redhat.com)
- abrt-hook-ccpp: small fixes prompted by testing on RHEL5 (vda.linux@googlemail.com)
- Added --info action to abrt-cli (mtoman@redhat.com)
- wire up SSLVerify in RHTSupport.conf to actually have the desired effect (vda.linux@googlemail.com)
- fixed tooltip localization rhbz#574693 (jmoskovc@redhat.com)
- dumpoops/KerneloopsScanner: add pid to crashdump name (vda.linux@googlemail.com)
- A message change suggested by dhensley (kklic@redhat.com)

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.10-4
- rebuild

* Tue Jul 27 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-3
- blacklist /usr/bin/nspluginviewer

* Mon Jul 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-2
- minor build fixes

* Mon Jul 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.10-1
- blacklisted mono-core package
- die with an error message if the database plugin is not accessible when needed (kklic@redhat.com)
- change RHTSupport URL protocol from HTTP to HTTPS (dvlasenk@redhat.com)
- the Logger plugin returns a message as the result of Report() call instead of a file URL (kklic@redhat.com)
- Cut off prelink suffixes from executable name if any (mtoman@redhat.com)
- CCpp: abrt-debuginfo-install output lines can be long, accomodate them (dvlasenk@redhat.com)
- do not pop up message on crash if the same crash is the same (dvlasenk@redhat.com)
- fedora bugs do not depend on rhel bugs (npajkovs@redhat.com)
- GUI: fixed problem with no gkeyring and just one reporter enabled rhbz#612457 (jmoskovc@redhat.com)
- added a document about interpreted language integration (kklic@redhat.com)
- moved devel header files to inc/ and included them in -devel package (jmoskovc@redhat.com, npajkovs@redhat.com)
- renamed abrt-utils.pc to abrt.pc (jmoskovc@redhat.com)
- string updates based on a UI text review (kklic@redhat.com)
- rhtsupport obsoletes the old rh plugins (jmoskovc@redhat.com)
- list allowed items in RHTSupport.conf (kklic@redhat.com)
- GUI: fixed package name in warning message when the packge is kernel rhbz#612191 (jmoskovc@redhat.com)
- remove rating for python crashes (jmoskovc@redhat.com)
- CCpp: give zero rating to an empty backtrace (jmoskovc@redhat.com)
- GUI: allow sending crashes without rating (jmoskovc@redhat.com)
- RHTSupport: set default URL to api.access.redhat.com/rs (dvlasenk@redhat.com)
- abort initialization on abrt.conf parsing errors (dvlasenk@redhat.com)
- changing NoSSLVerify to SSLVerify in bugzilla plugin (mtoman@redhat.com)
- added rating to python crashes
- show hostname in cli (kklic@redhat.com)
- updated po files (jmoskovc@redhat.com)
- added support for package specific actions rhbz#606917 (jmoskovc@redhat.com)
- renamed TicketUploader to ReportUploader (jmoskovc@redhat.com)
- bad hostnames on remote crashes (npajkovs@redhat.com)
- unlimited MaxCrashReportsSize (npajkovs@redhat.com)
- abrt_rh_support: improve error messages rhbz#608698 (vda.linux@googlemail.com)
- Added BacktraceRemotes option. (kklic@redhat.com)
- Allow remote crashes to not to belong to a package. Skip GPG check on remote crashes. (kklic@redhat.com)
- remove obsolete Catcut and rhfastcheck reporters (vda.linux@googlemail.com)
- make rhel bug point to correct place rhbz#578397 (npajkovs@redhat.com)
- Show comment and how to reproduce fields when reporing crashes in abrt-cli (kklic@redhat.com)
- Bash completion update (kklic@redhat.com)
- Rename --get-list to --list (kklic@redhat.com)
- Update man page (kklic@redhat.com)
- Options overhaul (kklic@redhat.com)
- abrt should not point to Fedora bugs but create new RHEL bug instead (npajkovs@redhat.com)
- Don't show global uuid in report (npajkovs@redhat.com)
- GUI: don't try to use action plugins as reporters (jmoskovc@redhat.com)
- Added WatchCrashdumpArchiveDir directive to abrt.conf and related code (vda.linux@googlemail.com)
- GUI: don't show the placehondler icon rhbz#605693 (jmoskovc@redhat.com)
- Make "Loaded foo.conf" message less confusing (vda.linux@googlemail.com)
- Fixed a flaw in strbuf_prepend_str (kklic@redhat.com)
- TicketUploader: do not add '\n' to text files in crashdump (vda.linux@googlemail.com)
- GUI: skip the plugin selection, if it's not needed (jmoskovc@redhat.com)
- Check conf file for syntax errors (kklic@redhat.com)
- move misplaced sanity checks in cron parser (vda.linux@googlemail.com)
- GUI: don't require the rating for all reporters (jmoskovc@redhat.com)
- GUI: fixed exception when there is no configure dialog for plugin rhbz#603745 (jmoskovc@redhat.com)
- Add a GUI config dialog for RHTSupport plugin (vda.linux@googlemail.com)
- abrt_curl: fix a problem with incorrect content-length on 32-bit arches (vda.linux@googlemail.com)
- sosreport: save the dump directly to crashdump directory (vda.linux@googlemail.com)
- plugin rename: rhticket -> RHTSupport (vda.linux@googlemail.com)
- Daemon socket for reporting crashes (karel@localhost.localdomain)
- GUI: fixed few typos (jmoskovc@redhat.com)

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-1.1
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jun 09 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.5-1
- GUI: polished the reporter assistant (jmoskovc@redhat.com)
- Logger reporter: do not store useless info (vda.linux@googlemail.com)
- ccpp hook: add SaveBinaryImage option which saves of the crashed binary (vda.linux@googlemail.com)
- SPEC: added CFLAGS="-fno-strict-aliasing" to fix the rpmdiff warnings rhbz#599364 (jmoskovc@redhat.com)
- GUI: don't remove user comments when re-reporting the bug rhbz#601779 (jmoskovc@redhat.com)
- remove "(deleted)" from executable path rhbz#593037 (jmoskovc@redhat.com)
- CCpp analyzer: add 60 sec cap on gdb run time. (vda.linux@googlemail.com)
- add new file *hostname* into debugdump directory (npajkovs@redhat.com)
- rhticket: upload real tarball, not a bogus file (vda.linux@googlemail.com)
- abrt-hook-ccpp: eliminate race between process exit and compat coredump creation rhbz#584554 (vda.linux@googlemail.com)
- rhticket: actually do create ticket, using Gavin's lib code (vda.linux@googlemail.com)
- properly obsolete gnome-python2-bugbuddy rhbz#579748 (jmoskovc@redhat.com)
- GUI: remember comment and howto on backtrace refresh rhbz#545690 (jmoskovc@redhat.com)
- use header case in button label rhbz#565812 (jmoskovc@redhat.com)
- make log window resizable (vda.linux@googlemail.com)
- rename a few remaining /var/cache/abrt -> /var/spool/abrt (vda.linux@googlemail.com)

* Wed May 26 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.4-1
- added reporting wizard
- fixed few leaked fds
- fixed kerneloops --- cut here --- problem
- updated translations

* Fri May 21 2010 Denys Vlasenko <dvlasenk@redhat.com> 1.1.3-1
- More fixes for /var/cache/abrt -> /var/spool/abrt conversion

* Fri May 21 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.2-3
- fixed spec file to create /var/spool/abrt rhbz#593670
- updated init script to reflect the pid file renaming

* Wed May 19 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.2-1
- updated translation
- obsolete gnome-python2-bugbuddy rhbz#579748 (jmoskovc@redhat.com)
- Report "INFO: possible recursive locking detected rhbz#582378 (vda.linux@googlemail.com)
- kill yumdownloader if abrt-debuginfo-install is terminated mid-flight (vda.linux@googlemail.com)
- do not create Python dumps if argv[0] is not absolute (vda.linux@googlemail.com)
- improve kerneloops hash (vda.linux@googlemail.com)
- Move /var/cache/abrt to /var/spool/abrt. rhbz#568101. (vda.linux@googlemail.com)
- bugzilla: better summary and decription messages (npajkovs@redhat.com)
- renamed daemon pid and lock file rhbz#588315 (jmoskovc@redhat.com)
- Daemon socket for reporting crashes (kklic@redhat.com)
- Move hooklib from src/Hooks to lib/Utils (kklic@redhat.com)

* Thu May 13 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.1-1
- updated translations
- removed avant-window-navigator from blacklist (jmoskovc@redhat.com)
- Abort debuginfo download if low on disk space (partially addresses #564451) (vda.linux@googlemail.com)
- fix bug 588945 - sparse core files performance hit (vda.linux@googlemail.com)
- Add BlackListedPaths option to abrt.conf. Fixes #582421 (vda.linux@googlemail.com)
- Do not die when /var/cache/abrt/*/uid does not contain a number (rhbz#580899) (kklic@redhat.com)
- rid of rewriting config in /etc/abrt/abrt.conf (npajkovs@redhat.com)
- fix bug 571411: backtrace attachment of the form /var/cache/abrt/foo-12345-67890/backtrace (vda.linux@googlemail.com)
- Do not echo password to terminal in abrt-cli (kklic@redhat.com)
- improved daemon error messages (kklic@redhat.com)

* Mon May 03 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.1.0-1
- updated transaltions
- added Hebrew into languages
- updated icons rhbz#587698 (jmoskovc@redhat.com)
- Bugzilla login/password emptiness check uses 'or' instead of 'and' (kklic@redhat.com)
- Show error message when abrtd service is run as non-root. rhbz#584352 (kklic@redhat.com)
- Rename EnableOpenGPG to OpenGPGCheck in the man page rhbz#584332 (kklic@redhat.com)
- Document ProcessUnpackaged in abrt.conf.5. Document default values. (kklic@redhat.com)
- Crash function is now detected even for threads without an abort frame (kklic@redhat.com)
- comment can be private (npajkovs@redhat.com)
- do not catch perl/python crashes when the script is not of known package origin (kklic@redhat.com)
- kerneloop is more informative when failed (npajkovs@redhat.com)
- add function name into summary(if it's found) (npajkovs@redhat.com)
- Change kerneloops message when it fails (npajkovs@redhat.com)

* Fri Apr 30 2010 Karel Klic <kklic@redhat.com> 1.0.9-3
- fixed crash function detection (a part of duplication detection)

* Wed Apr 14 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-2
- fixed problem with localized yum messages rhbz#581804
- better bugzilla summary (napjkovs@redhat.com)
- ignore interpreter (py,perl) crashes caused by unpackaged scripts (kklic@redhat.com)

* Tue Apr 06 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-1
- hooklib: fix excessive rounding down in free space calculation (bz#575644) (vda.linux@googlemail.com)
- gui: fix 551989 "crash detected in abrt-gui-1.0.0-1.fc12" and such (vda.linux@googlemail.com)
- trivial: fix 566806 "abrt-gui sometimes can't be closed" (vda.linux@googlemail.com)
- gui: fix the last case where gnome-keyring's find_items_sync() may throw DeniedError (vda.linux@googlemail.com)
- fixed some compilation problems on F13 (jmoskovc@redhat.com)
- updated translations (jmoskovc@redhat.com)
- minor fix to sosreport to make it work with latest sos rhbz#576861 (jmoskovc@redhat.com)

* Wed Mar 31 2010 Jiri Moskovcak <jmoskovc@redhat.com> 1.0.9-0.201003312045.1
- test day build
- updated translation
- minor fix to sosreport to make it work with latest sos rhbz#576861 (jmoskovc@redhat.com)
- GUI: total rewrite based on design from Mairin Duffy (jmoskovc@redhat.com)
- trivial: better HTTP/curl error reporting (vda.linux@googlemail.com)
- Use backtrace parser from abrtutils, new backtrace rating algorithm, store crash function if it's known (kklic@redhat.com)
- abrt-rate-backtrace is replaced by abrt-backtrace --rate (kklic@redhat.com)
- Ignore some temp files (kklic@redhat.com)
- PYHOOK: don't use sitecustomize.py rhbz#539497 (jmoskovc@redhat.com)
- rhfastcheck: a new reporter plugin based on Gavin's work (vda.linux@googlemail.com)
- rhticket: new reporter plugin (vda.linux@googlemail.com)
- GUI: fixed few window icons (jmoskovc@redhat.com)
- Allow user to select which reporter he wants to use to report a crash using CLI.(kklic@redhat.com)
- bz reporter: s/uuid/duphash; more understandable message; simplify result str generation; fix indentation (vda.linux@googlemail.com)
- GUI: fixed crash count column sorting rhbz#573139 (jmoskovc@redhat.com)
- Kerneloops: use 1st line of oops as REASON. Closes rhbz#574196. (vda.linux@googlemail.com)
- Kerneloops: fix a case when we file an oops w/o backtrace (vda.linux@googlemail.com)
- minor fix in abrt-debuginfo-install to make it work with yum >= 3.2.26 (jmoskovc@redhat.com)
- GUI: added action to applet to directly report last crash (jmoskovc@redhat.com)
- Never flag backtrace as binary file (fixes problem observed in bz#571411) (vda.linux@googlemail.com)
- improve syslog file detection. closes bz#565983 (vda.linux@googlemail.com)
- add arch, package and release in comment (npajkovs@redhat.com)
- add ProcessUnpackaged option to abrt.conf (vda.linux@googlemail.com)
- abrt-debuginfo-install: use -debuginfo repos which match enabled "usual" repos (vda.linux@googlemail.com)
- fix format security error (fcrozat@mandriva.com)
- icons repackaging (jmoskovc@redhat.com)
- partial fix for bz#565983 (vda.linux@googlemail.com)
- SPEC: Updated source URL (jmoskovc@redhat.com)
- removed unneeded patches
- and much more ...

* Sat Mar 13 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-3
- fixed kerneloops reporting rhbz#570081
- fixed Source url
- fixed debuginfo-install to work on F13
  - improved debuginfo-install (vda.linux@googlemail.com)
  - fix debuginfo-install to work with yum >= 3.2.26 (jmoskovc@redhat.com)

* Wed Mar  3 2010  Denys Vlasenko <dvlasenk@redhat.com> 1.0.8-2
- fix initscript even more (npajkovs@redhat.com)
- remove -R2 from yum command line

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-1
- fix initscript (npajkovs@redhat.com)
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux@googlemail.com)

* Mon Feb 22 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.8-0.git-20100222
- Kerneloops: make hashing more likely to produce same hash on different oopses (vda.linux@googlemail.com)
- make abrt work with the latest kernels (>= 2.6.33) (jmoskovc@redhat.com)
- lib/Utils/abrt_dbus: utf8-sanitize all strings in dbus messages (fixes #565876) (vda.linux@googlemail.com)

* Fri Feb 12 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.7-1
- enabled column sorting rhbz#541853
- Load plugin settings also from ~/.abrt/*.conf (kklic@redhat.com)
- fix bz#541088 "abrt should not catch python excp EPIPE" (vda.linux@googlemail.com)
- fix bz#554242 "Cannot tab between input areas in report dialog" (vda.linux@googlemail.com)
- fix bz#563484 "abrt uses unnecessary disk space when getting debug info" (vda.linux@googlemail.com)
- Don't show empty 'Not loaded plugins' section - fix#2 rhbz#560971 (jmoskovc@redhat.com)
- fix big-endian build problem (vda.linux@googlemail.com)
- Fixes, displays package owners (kklic@redhat.com)
- GUI: fixed exception in plugin settings dialog rhbz#560851 (jmoskovc@redhat.com)
- GUI: respect system settings for toolbars rhbz#552161 (jmoskovc@redhat.com)
- python hook: move UUID generation to abrtd; generate REASON, add it to bz title (vda.linux@googlemail.com)
- make "reason" field less verbose; bz reporter: include it in "summary" (vda.linux@googlemail.com)
- added avant-window-navigator to blacklist per maintainer request (jmoskovc@redhat.com)
- CCpp analyzer: fix rhbz#552435 (bt rating misinterpreting # chars) (vda.linux@googlemail.com)
- Ask for login and password if missing from reporter plugin. (kklic@redhat.com)
- abrtd: fix handling of dupes (weren't deleting dup's directory); better logging (vda.linux@googlemail.com)
- abrtd: handle "perl -w /usr/bin/script" too (vda.linux@googlemail.com)
- Component-wise duplicates (kklic@redhat.com)
- abrtd: fix rhbz#560642 - don't die on bad plugin names (vda.linux@googlemail.com)
- Fixed parsing backtrace from rhbz#549293 (kklic@redhat.com)
- GUI: fixed scrolling in reporter dialog rhbz#559687 (jmoskovc@redhat.com)
- fixed button order in plugins windows rhbz#560961 (jmoskovc@redhat.com)
- GUI: fixed windows icons and titles rhbz#537240, rhbz#560964 (jmoskovc@redhat.com)
- Fix to successfully parse a backtrace from rhbz#550642 (kklic@redhat.com)
- cli: fix the problem of not showing oops text in editor (vda.linux@googlemail.com)
- GUI: fix rhbz#560971 "Don't show empty 'Not loaded plugins' section" (vda.linux@googlemail.com)

* Tue Feb  2 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.6-1
- print __glib_assert_msg (rhbz#549735);
- SPEC: added some requires to abrt-cli to make it work out-of-the-box (jmoskovc@redhat.com)
- abrt-hook-ccpp: fix rhbz#560612 "limit '18446744073709551615' is bogus" rhbz#560612(vda.linux@googlemail.com)
- APPLET: don't show the icon when abrtd is not running rhbz#557866 (jmoskovc@redhat.com)
- GUI: made report message labels wrap (jmoskovc@redhat.com)
- GUI: don't die if daemon doesn't send the gpg keys (jmoskovc@redhat.com)
- disabled the autoreporting of kerneloopses (jmoskovc@redhat.com)
- Kerneloops: fix BZ reporting of oopses (vda.linux@googlemail.com)
- GUI: wider report message dialog (jmoskovc@redhat.com)
- moved the gpg key list from abrt.conf to gpg_keys file (jmoskovc@redhat.com)
- Logger: create log file with mode 0600 (vda.linux@googlemail.com)
- GUI: fixed the rating logic, to prevent sending BT with rating < 3 (jmoskovc@redhat.com)
- Report GUI: made more fields copyable - closed rhbz#526209; tweaked wording (vda.linux@googlemail.com)
- GUI: fixed bug caused by failed gk-authorization (jmoskovc@redhat.com)

* Fri Jan 29 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.5-1
- moved the gpg key list from abrt.conf to gpg_keys file (jmoskovc@redhat.com)
- Logger: create log file with mode 0600 rhbz#559545 (vda.linux@googlemail.com)
- GUI: fixed the rating logic, to prevent sending BT with rating < 3 (jmoskovc@redhat.com)
- Report GUI: made more fields copyable - closed rhbz#526209; tweaked wording (vda.linux@googlemail.com)
- GUI: fixed bug caused by failed gk-authorization (jmoskovc@redhat.com)
- fix bug 559881 (kerneloops not shown in "new" GUI) (vda.linux@googlemail.com)
- GUI ReporterDialog: hide log button (vda.linux@googlemail.com)
- added valgrind and strace to blacklist (jmoskovc@redhat.com)
- SOSreport: do not leave stray files in /tmp (vda.linux@googlemail.com)
- Save the core where it belongs if ulimit -c is > 0 (jmoskovc@redhat.com)
- reenabled gpg check (jmoskovc@redhat.com)
- SOSreport: run it niced (vda.linux@googlemail.com)
- report GUI: rename buttons: Log -> Show log, Send -> Send report (vda.linux@googlemail.com)
- applet: reduce blinking timeout to 3 sec (vda.linux@googlemail.com)
- fix dbus autostart (vda.linux@googlemail.com)
- abrtd: set "Reported" status only if at least one reporter succeeded (vda.linux@googlemail.com)
- SQLite3: disable newline escaping, SQLite does not handle it (vda.linux@googlemail.com)
- SOSreport: make it avoid double runs; add forced regeneration; upd PLUGINS-HOWTO (vda.linux@googlemail.com)
- attribute SEGVs in perl to script's package, like we already do for python (vda.linux@googlemail.com)

* Wed Jan 20 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.4-1
- enabled sosreport
- fixes in ticketuploader
- GUI: redesign of reporter dialog (jmoskovc@redhat.com)
- Set the prgname to "Automatic Bug Reporting Tool" fixes rhbz#550357 (jmoskovc@redhat.com)
- CCpp analyzer: display __abort_msg in backtrace. closes rhbz#549735 (vda.linux@googlemail.com)
- s/os.exit/sys.exit - closes rhbz#556313 (vda.linux@googlemail.com)
- use repr() to print variable values in python hook rhbz#545070 (jmoskovc@redhat.com)
- gui: add logging infrastructure (vda.linux@googlemail.com)
- Added "Enabled = yes" to all plugin's config files (jmoskovc@redhat.com)
- *: disable plugin loading/unloading through GUI. Document keyring a bit (vda.linux@googlemail.com)
- fix memory leaks in catcut plugin (npajkovs@redhat.com)
- fix memory leaks in bugzilla (npajkovs@redhat.com)
- abrt-hook-python: sanitize input more; log to syslog (vda.linux@googlemail.com)
- Fixed /var/cache/abrt/ permissions (kklic@redhat.com)
- Kerneloops: we require commandline for every crash, save dummy one for oopses (vda.linux@googlemail.com)
- *: remove nss dependencies (vda.linux@googlemail.com)
- CCpp: use our own sha1 implementation (less pain with nss libs) (vda.linux@googlemail.com)
- DebugDump: more consistent logic in setting mode and uid:gid on dump dir (vda.linux@googlemail.com)
- fixes based on security review (vda.linux@googlemail.com)
- SOSreport/TicketUploader: use more restrictive file modes (vda.linux@googlemail.com)
- abrt-hook-python: add input sanitization and directory size guard (vda.linux@googlemail.com)
- RunApp: safer chdir. Overhauled "sparn a child and get its output" in general (vda.linux@googlemail.com)
- DebugDump: use more restrictive modes (vda.linux@googlemail.com)
- SQLite3: check for SQL injection (vda.linux@googlemail.com)
- replace plugin enabling via EnabledPlugins by par-plugin Enabled = yes/no (vda.linux@googlemail.com)
- abrt.spec: move "requires: gdb" to abrt-desktop (vda.linux@googlemail.com)
- ccpp: add a possibility to disable backtrace generation (vda.linux@googlemail.com)
- abrtd: limit the number of frames in backtrace to 3000 (vda.linux@googlemail.com)

* Tue Jan  5 2010  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.3-1
- speed optimalization of abrt-debuginfo-install (jmoskovc@redhat.com)
- updated credits (jmoskovc@redhat.com)
- GUI: fixed crash when abrt-gui is run without X server rhbz#552039 (jmoskovc@redhat.com)
- abrt-backtrace manpage installed (kklic@redhat.com)
- cmdline and daemon checking is done by abrt-python-hook (kklic@redhat.com)
- moved get_cmdline() and daemon_is_ok() to abrtlib (kklic@redhat.com)
- large file support for whole abrt (kklic@redhat.com)
- made s_signal_caught volatile (vda.linux@googlemail.com)
- abrt-debuginfo-install: fixes for runs w/o cachedir (vda.linux@googlemail.com)
- remove unsafe log() from signal handler (vda.linux@googlemail.com)
- src/Hooks/CCpp.cpp: use and honour 'c' (core limit size). (vda.linux@googlemail.com)
- lib/Plugins/CCpp.cpp: save gdb error messages too (vda.linux@googlemail.com)
- prevent destructors from throwing exceptions; check curl_easy_init errors (vda.linux@googlemail.com)
- don't blame python for every crash in /usr/bin/python rhbz#533521 trac#109 (jmoskovc@redhat.com)
- GUI: autoscroll log window (jmoskovc@redhat.com)
- Kerneloops.conf: better comments (vda.linux@googlemail.com)
- applet: reduce blinking time to 30 seconds (vda.linux@googlemail.com)
- add paranoia checks on setuid/setgid (vda.linux@googlemail.com)
- more "obviously correct" code for secure opening of /dev/null (vda.linux@googlemail.com)
- get rid of ugly sleep call inside while() (vda.linux@googlemail.com)

* Mon Dec 14 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.2-1
- disabled GPG check again (jmoskovc@redhat.com)
- abrt-pyhook-helper rename (vda.linux@googlemail.com)
- abrt-cli: report success/failure of reporting. closes bug 71 (vda.linux@googlemail.com)
- less logging (vda.linux@googlemail.com)
- mkde abrt-gui --help and --version behave as expected. closes bug 85 (vda.linux@googlemail.com)
- dbus lib: fix parsing of 0-element arrays. Fixes bug 95 (vda.linux@googlemail.com)
- make "abrt-cli --delete randomuuid" report that deletion failed. closes bug 59 (vda.linux@googlemail.com)
- applet: make animation stop after 1 minute. (closes bug 108) (vda.linux@googlemail.com)
- show comment and how to reproduce fields, when BT rating > 3 (jmoskovc@redhat.com)
- Gui: make report status window's text wrap. Fixes bug 82 (vda.linux@googlemail.com)
- CCpp analyzer: added "info sharedlib" (https://fedorahosted.org/abrt/ticket/90) (vda.linux@googlemail.com)
- added link to bugzilla new account page to Bugzilla config dialog (jmoskovc@redhat.com)
- GUI: added log window (jmoskovc@redhat.com)

* Tue Dec  8 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.1-1
- PyHook: better logic for checking if abrtd is running rhbz#539987 (jmoskovc@redhat.com)
- re-enabled gpg sign checking (jmoskovc@redhat.com)
- PyHook: use repr() for displaying variables rhbz#545070 (jmoskovc@redhat.com)
- kerneloops: fix the linux kernel version identification (aarapov@redhat.com)
- gui review (rrakus@redhat.com)
- when we trim the dir, we must delete it from DB too rhbz#541854 (vda.linux@googlemail.com)
- improved dupe checking (kklic@redhat.com)
- GUI: handle cases when gui fails to start daemon on demand rhbz#543725 (jmoskovc@redhat.com)
- Add abrt group only if it is missing; fixes rhbz#543250 (kklic@redhat.com)
- GUI: more string fixes rhbz#543266 (jmoskovc@redhat.com)
- abrt.spec: straighten out relations between abrt-desktop and abrt-gui (vda.linux@googlemail.com)
- refuse to start if some required plugins are missing rhbz#518422 (vda.linux@googlemail.com)
- GUI: survive gnome-keyring access denial rhbz#543200 (jmoskovc@redhat.com)
- typo fixes rhbz#543266 (jmoskovc@redhat.com)
- abrt-debuginfo-install: better fix for incorrect passing double quotes (vda.linux@googlemail.com)
- APPLET: stop animation when it's not needed rhbz#542157 (jmoskovc@redhat.com)
- ccpp hook: reanme it, and add "crash storm protection" (see rhbz#542003) (vda.linux@googlemail.com)
- Hooks/CCpp.cpp: add MakeCompatCore = yes/no directive. Fixes rhbz#541707 (vda.linux@googlemail.com)
- SPEC: removed sqlite3 package, fixed some update problems (jmoskovc@redhat.com)
- Kerneloops are reported automaticky now when AutoReportUIDs = root is in Kerneloops.conf (npajkovs@redhat.com)
- remove word 'detected' from description rhbz#541459 (vda.linux@googlemail.com)
- src/Hooks/CCpp.cpp: do save abrtd's own coredumps, but carefully... (vda.linux@googlemail.com)
- CCpp.cpp: quote parameters if needed rhbz#540164 (vda.linux@googlemail.com)

* Fri Nov 20 2009  Jiri Moskovcak <jmoskovc@redhat.com> 1.0.0-1
- new version
- comment input wraps words rhbz#531276
- fixed hiding password dialog rhbz#529583
- easier kerneloops reporting rhbz#528395
- made menu entry translatable rhbz#536878 (jmoskovc@redhat.com)
- GUI: don't read the g-k every time we want to use the setting (jmoskovc@redhat.com)
- GUI: survive if g-k access is denied rhbz#534171 (jmoskovc@redhat.com)
- include more info into oops (we were losing the stack dump) (vda.linux@googlemail.com)
- make BZ insert small text attachments inline; move text file detection code (vda.linux@googlemail.com)
- GUI: fixed text wrapping in comment field rhbz#531276 (jmoskovc@redhat.com)
- GUI: added cancel to send dialog rhbz#537238 (jmoskovc@redhat.com)
- include abrt version in bug descriptions (vda.linux@googlemail.com)
- ccpp hook: implemented ReadonlyLocalDebugInfoDirs directive (vda.linux@googlemail.com)
- GUI: added window icon rhbz#537240 (jmoskovc@redhat.com)
- add support for \" escaping in config file (vda.linux@googlemail.com)
- add experimental saving of /var/log/Xorg*.log for X crashes (vda.linux@googlemail.com)
- APPLET: changed icon from default gtk-warning to abrt specific, add animation (jmoskovc@redhat.com)
- don't show icon on abrtd start/stop rhbz#537630 (jmoskovc@redhat.com)
- /var/cache/abrt permissions 1775 -> 0775 in spec file (kklic@redhat.com)
- Daemon properly checks /var/cache/abrt attributes (kklic@redhat.com)
- abrt user group; used by abrt-pyhook-helper (kklic@redhat.com)
- pyhook-helper: uid taken from system instead of command line (kklic@redhat.com)
- KerneloopsSysLog: fix breakage in code which detects abrt marker (vda.linux@googlemail.com)
- GUI: added support for backtrace rating (jmoskovc@redhat.com)
- InformAllUsers support. enabled by default for Kerneloops. Tested wuth CCpp. (vda.linux@googlemail.com)
- abrtd: call res_init() if /etc/resolv.conf or friends were changed rhbz#533589 (vda.linux@googlemail.com)
- supress errors in python hook to not colide with the running script (jmoskovc@redhat.com)

* Tue Nov 10 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.11-2
- spec file fixes

* Mon Nov  2 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.11-1
- re-enabled kerneloops
- abrt-debuginfo-install: download packages one-by-one - better logging (vda.linux@googlemail.com)
- do not report empty fields (vda.linux@googlemail.com)
- Added abrt.png, fixed rhbz#531181 (jmoskovc@redhat.com)
- added option DebugInfoCacheMB to limit size of unpacked debuginfos (vda.linux@googlemail.com)
- fixed the problem with overwriting the default plugin settings (jmoskovc@redhat.com)
- disabled kerneloops in config file (jmoskovc@redhat.com)
- added dependency to gdb >= 7.0 (jmoskovc@redhat.com)
- better format of report text (vda.linux@googlemail.com)
- Python backtrace size limited to 1 MB (kklic@redhat.com)
- lib/Plugins/Bugzilla: better message at login failure (vda.linux@googlemail.com)
- build fixes, added plugin-logger to abrt-desktop (jmoskovc@redhat.com)
- blacklisted nspluginwrapper, because it causes too many useless reports (jmoskovc@redhat.com)
- GUI: Wrong settings window is not shown behind the reporter dialog rhbz#531119 (jmoskovc@redhat.com)
- Normal user can see kerneloops and report it Bugzilla memory leaks fix (npajkovs@redhat.com)
- dumpoops: add -s option to dump results to stdout (vda.linux@googlemail.com)
- removed kerneloops from abrt-desktop rhbz#528395 (jmoskovc@redhat.com)
- GUI: fixed exception when enabling plugin rhbz#530495 (jmoskovc@redhat.com)
- Improved abrt-cli (kklic@redhat.com)
- Added backtrace rating to CCpp analyzer (dnovotny@redhat.com)
- GUI improvements (jmoskovc@redhat.com)
- Added abrt-pyhook-helper (kklic@redhat.com)

* Thu Oct 15 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.10-1
- new version
- added more logging (vda.linux@googlemail.com)
- made polkit policy to be more permissive when installing debuginfo (jmoskovc@redhat.com)
- lib/Plugins/CCpp.cpp: add build-ids to backtrace (vda.linux@googlemail.com)
- lib/Plugins/CCpp.cpp: do not use temp file for gdb commands - use -ex CMD instead (vda.linux@googlemail.com)
- GUI: added refresh button, added sanity check to plugin settings (jmoskovc@redhat.com)
- Initial man page for abrt-cli (kklic@redhat.com)
- Added --version, -V, --help, -? options. Fixed crash caused by unknown option. (kklic@redhat.com)
- Date/time honors current system locale (kklic@redhat.com)
- fixed saving/reading user config (jmoskovc@redhat.com)
- SPEC: added gnome-python2-gnomekeyring to requirements (jmoskovc@redhat.com)
- GUI: call Report() with the latest pluginsettings (jmoskovc@redhat.com)
- Fix Bug 526220 -  [abrt] crash detected in abrt-gui-0.0.9-2.fc12 (vda.linux@googlemail.com)
- removed unsecure reading/writting from ~HOME directory rhbz#522878 (jmoskovc@redhat.com)
- error checking added to archive creation (danny@rawhide.localdomain)
- try using pk-debuginfo-install before falling back to debuginfo-install (vda.linux@googlemail.com)
- abrt-gui: make "report" toolbar button work even if abrtd is not running (vda.linux@googlemail.com)
- set LIMIT_MESSAGE to 16k, typo fix and daemon now reads config information from dbus (npajkovs@redhat.com)
- add support for abrtd autostart (vda.linux@googlemail.com)
- GUI: reversed the dumplist, so the latest crashes are at the top (jmoskovc@redhat.com)
- rewrite FileTransfer to use library calls instead of commandline calls for compression (dnovotny@redhat.com)
- and many minor fixes ..

* Wed Sep 23 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.9-2
- added bug-buddy to provides rhbz#524934

* Tue Sep 22 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.9-1
- new version
- comments and how to reproduce are stored now (npajkovs@redhat.com)
- reduce verbosity a bit (vda.linux@googlemail.com)
- GUI: fixed word wrap in Comment field rhbz#524349 (jmoskovc@redhat.com)
- remove last vestives of dbus-c++ from build system (vda.linux@googlemail.com)
- GUI: added popup menu, fixed behaviour when run with root privs (jmoskovc@redhat.com)
- add dbus signalization when quota exceeded (npajkovs@redhat.com)
- Added cleaning of attachment variable, so there should not be mixed attachmetn anymore. (zprikryl@redhat.com)
- fixed closing of debug dump in case of existing backtrace (zprikryl@redhat.com)
- remove C++ dbus glue in src/CLI; fix a bug in --report (vda.linux@googlemail.com)
- new polkit action for installing debuginfo, default "yes" (danny@rawhide.localdomain)
- Polkit moved to Utils (can be used both in daemon and plugins) (danny@rawhide.localdomain)
- oops... remove stray trailing '\' (vda.linux@googlemail.com)
- GUI: added missing tooltips (jmoskovc@redhat.com)
- PYHOOK: ignore KeyboardInterrupt exception (jmoskovc@redhat.com)
- added ticket uploader plugin (gavin@redhat.com) (zprikryl@redhat.com)
- GUI: added UI for global settings (just preview, not usable!) (jmoskovc@redhat.com)
- Add checker if bugzilla login and password are filled in. (npajkovs@redhat.com)
- Add new config option InstallDebuginfo into CCpp.conf (npajkovs@redhat.com)
- translation updates
- many other fixes

* Fri Sep  4 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.8.5-1
- new version
- APPLET: added about dialog, removed popup, if icon is not visible, fixed (trac#43) (jmoskovc@redhat.com)
- renamed abrt to abrtd, few minor spec file fixes (jmoskovc@redhat.com)
- Made abrt service start by deafult (jmoskovc@redhat.com)
- add gettext support for all plugins (npajkovs@redhat.com)
- APPLET: removed the warning bubble about not running abrt service (walters)
- APPLET: changed tooltip rhbz#520293 (jmoskovc@redhat.com)
- CommLayerServerDBus: rewrote to use dbus, not dbus-c++ (vda.linux@googlemail.com)
- fixed timeout on boot causing [ FAILED ] message (vda.linux@googlemail.com)
- and many other fixes

* Wed Sep 02 2009  Colin Walters <watlers@verbum.org> 0.0.8-2
- Change Conflicts: kerneloops to be an Obsoletes so we do the right thing
  on upgrades.  Also add an Obsoletes: bug-buddy.

* Wed Aug 26 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.8-1
- new version
- resolved: Bug 518420 -  ordinary user's abrt-applet shows up for root owned crashes (npajkovs)
- GUI: added support for gettext (+part of czech translation) (jmoskovc)
- added support for saving settings (zprikryl)
- fixed conf: comment in the middle of the line isn't supported anymore (zprikryl)
- BZ#518413 PATCH ... furious kerneloops reporting (aarapov)
- GUI: added first part of support for gettext (jmoskovc)
- add new parameter to FileTransfer plugin (dnovotny)
- added support for updating abrt's table (zprikryl)
- added check for cc-list and reporter. +1 is created iff reporter is somebody else and current user isn't in cc list. (zprikryl)
- GUI: few improvements, to be more userfriendly (jmoskovc)
- LOGGER: return valid uri of the log file on succes (jmoskovc)
- GUI: bring the GUI up to front instead of just blinking in taskbar (trac#60, rhbz#512390) (jmoskovc)
- Try to execute $bindir/abrt-gui, then fall back to $PATH search. Closes bug 65 (vda.linux)
- APPLET: added popup menu (trac#37, rhbz#518386) (jmoskovc)
- Improved report results (zprikryl)
- Fixed sigsegv (#rhbz 518609) (zprikryl)
- GUI: removed dependency on libsexy if gtk2 >= 2.17 (jmoskovc)
- fixed signature check (zprikryl)
- KerneloopsSysLog: check line length to be >= 4 before looking for "Abrt" (vda.linux)
- Comment cannot start in the middle of the line. Comment has to start by Char # (first char in the line) (zprikryl)
- command mailx isn't run under root anymore. (zprikryl)
- GUI: added horizontal scrolling to report window (jmoskovc)
- GUI: added clickable link to "after report" status window (jmoskovc)
- added default values for abrt daemon (zprikryl)
- Plugins/CCpp: remove trailing \n from debuginfo-install's output (vda.linux)
- explain EnableGPGCheck option better (vda.linux)
- mailx: correct English (vda.linux)
- Bugzilla.conf: correct English (vda.linux)
- GUI: nicer after report message (jmoskovc)
- BZ plugin: removed /xmlrpc.cgi from config, made the report message more user friendly (jmoskovc)
- CCpp plugin: do not abort if debuginfos aren't found (vda.linux)
- abrt.spec: bump version to 0.0.7-2 (vda.linux)
- mailx removed dangerous parameter option (zprikryl)
- minimum timeout is 1 second (zprikryl)
- in case of plugin error, don't delete debug dumps (zprikryl)
- abrt-gui: fix crash when run by root (vda.linux)
- and lot more in git log ...

* Thu Aug 20 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7.2-1
- new version
- fixed some bugs found during test day

* Wed Aug 19 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7.1-1
- fixes to bugzilla plugin and gui to make the report message more user-friendly

* Tue Aug 18 2009  Denys Vlasenko <dvlasenk@redhat.com> 0.0.7-2
- removed dangerous parameter option
- minimum plugin activation period is 1 second
- in case of plugin error, don't delete debug dumps
- abrt-gui: fix crash when run by root
- simplify parsing of debuginfo-install output

* Tue Aug 18 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.7-1
- new version
- added status window to show user some info after reporting a bug

* Mon Aug 17 2009  Denys Vlasenko <dvlasenk@redhat.com> 0.0.6-1
- new version
- many fixes

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 25 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.4-3
- fixed dependencies in spec file

* Tue Jun 16 2009 Daniel Novotny <dnovotny@redhat.com> 0.0.4-2
- added manual pages (also for plugins)

* Mon Jun 15 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.4-1
- new version
- added cli (only supports sockets)
- added python hook
- many fixes

* Fri Apr 10 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.3-1
- new version
- added bz plugin
- minor fix in reporter gui
- Configurable max size of debugdump storage rhbz#490889
- Wrap lines in report to keep the window sane sized
- Fixed gui for new daemon API
- removed unneeded code
- removed dependency on args
- new guuid hash creating
- fixed local UUID
- fixed debuginfo-install checks
- renamed MW library
- Added notification thru libnotify
- fixed parsing settings of action plugins
- added support for action plugins
- kerneloops - plugin: fail gracefully.
- Added commlayer to make dbus optional
- a lot of kerneloops fixes
- new approach for getting debuginfos and backtraces
- fixed unlocking of a debugdump
- replaced language and application plugins by analyzer plugin
- more excetpion handling
- conf file isn't needed
- Plugin's configuration file is optional
- Add curl dependency
- Added column 'user' to the gui
- Gui: set the newest entry as active (ticket#23)
- Delete and Report button are no longer active if no entry is selected (ticket#41)
- Gui refreshes silently (ticket#36)
- Added error reporting over dbus to daemon, error handling in gui, about dialog

* Wed Mar 11 2009  Jiri Moskovcak <jmoskovc@redhat.com> 0.0.2-1
- added kerneloops addon to rpm (aarapov)
- added kerneloops addon and plugin (aarapov)
- Made Crash() private
- Applet requires gui, removed dbus-glib deps
- Closing stdout in daemon rhbz#489622
- Changed applet behaviour according to rhbz#489624
- Changed gui according to rhbz#489624, fixed dbus timeouts
- Increased timeout for async dbus calls to 60sec
- deps cleanup, signal AnalyzeComplete has the crashreport as an argument.
- Fixed empty package Description.
- Fixed problem with applet tooltip on x86_64

* Wed Mar  4 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-13
- More renaming issues fixed..
- Changed BR from gtkmm24 to gtk2
- Fixed saving of user comment
- Added a progress bar, new Comment entry for user comments..
- FILENAME_CMDLINE and FILENAME_RELEASE are optional
- new default path to DB
- Rename to abrt

* Tue Mar  3 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-12
- initial fedora release
- changed SOURCE url
- added desktop-file-utils to BR
- changed crash-catcher to %%{name}

* Mon Mar  2 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-11
- more spec file fixes according to review
- async dbus method calls, added exception handler
- avoid deadlocks (zprikryl)
- root is god (zprikryl)
- create bt only once (zprikryl)

* Sat Feb 28 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-10
- New gui
- Added new method DeleteDebugDump to daemon
- Removed gcc warnings from applet
- Rewritten CCpp hook and removed dealock in DebugDumps lib (zprikryl)
- fixed few gcc warnings
- DBusBackend improvements

* Fri Feb 27 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-9
- fixed few gcc warnings
- added scrolled window for long reports

* Thu Feb 26 2009 Adam Williamson <awilliam@redhat.com> 0.0.1-8
- fixes for all issues identified in review

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-7
- Fixed cancel button behaviour in reporter
- disabled core file sending
- removed some debug messages

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-6
- fixed DB path
- added new signals to handler
- gui should survive the dbus timeout

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-5
- fixed catching debuinfo install exceptions
- some gui fixes
- added check for GPGP public key

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-4
- changed from full bt to simple bt

* Thu Feb 26 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-3
- spec file cleanups
- changed default paths to crash DB and log DB
- fixed some memory leaks

* Tue Feb 24 2009 Jiri Moskovcak <jmoskovc@redhat.com> 0.0.1-2
- spec cleanup
- added new subpackage gui

* Wed Feb 18 2009 Zdenek Prikryl <zprikryl@redhat.com> 0.0.1-1
- initial packing
